package com.philisense.www.controller.web;


import com.philisense.www.annotation.log.OperateLog;
import com.philisense.www.common.config.CommonConst;
import com.philisense.www.controller.BaseUtilController;
import com.philisense.www.service.ComprehensiveStatisticalAnalysisService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author Administrator
 */
@RestController
@RequestMapping(CommonConst.WEB_REST_SERVICE_PREFICX+"comprehensivestatisticalanalysis")
@Api(tags = "ComprehensiveStatisticalAnalysisControllerForWeb|一个用来操作-{综合统计分析模块}-业务模块的控制器")
public class ComprehensiveStatisticalAnalysisControllerForWeb extends BaseUtilController {

    @Autowired
    private ComprehensiveStatisticalAnalysisService comprehensiveStatisticalAnalysisService;


    @GetMapping("/selectEarlyWarningData")
    @ApiOperation(value="根据-{年月日}-查询历年预警记录", notes="成功返回:{\"success\":true,\"message\",\"数据查询成功\",\"datarecord\":\"{}\"},失败返回:{\"success\":false,\"message\",\"数据查询失败\"}")
    @ApiImplicitParams({
            @ApiImplicitParam(paramType="query", name = "startTime", value = "开始时间", required = false,  dataTypeClass = String.class),
            @ApiImplicitParam(paramType="query", name = "endTime", value = "结束时间", required = false,  dataTypeClass = String.class)
    })
    @OperateLog(name = "根据-{年份}-使用柱状图列举出要统计的预警数",value = "query",type = "PC")
    public Map<String, Object> selectRegionBreakOnesPromise(HttpServletRequest request , HttpServletResponse response , @RequestParam(required = false,name = "startTime")String startTime, @RequestParam(required = false,name = "endTime")String endTime)
    {

        Map<String, Object> result = new HashMap<String, Object>();

        try {

            List<Map<String, String>> list = comprehensiveStatisticalAnalysisService.selectEarlyWarningData(startTime, endTime);
            result.put("data", list);
            List<Map<String, String>> list1 = comprehensiveStatisticalAnalysisService.selectIndustryCreditIndexData(startTime, endTime);
            result.put("data1", list1);
            List<Map<String, String>> list2 = comprehensiveStatisticalAnalysisService.selectAreaEarlyWarningData(startTime, endTime);
            result.put("data2", list2);
            List<Map<String, String>> list3 = comprehensiveStatisticalAnalysisService.selectAreaEarlyWarningData1(startTime, endTime);
            result.put("data3", list3);

            result.put(DATASUCCESS, SUCCESSFLAG);
            result.put(DATAMESSAGE, QUERY_SUCCESS_MSG);

        }catch(Exception e){

            result.put(DATASUCCESS, ERRORFLAG);
            result.put(DATAMESSAGE, QUERY_FAIL_MSG+e.getMessage());

        }
        return result;
    }
}
