package com.philisense.www.controller.web;

import com.philisense.www.annotation.log.OperateLog;
import com.philisense.www.common.config.CommonConst;
import com.philisense.www.controller.BaseUtilController;
import com.philisense.www.service.BigDataAnalysisService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@RestController
@RequestMapping(CommonConst.WEB_REST_SERVICE_PREFICX+"Dict")
@Api(tags = "DictionariesControllerForWeb |一个用来操作-{字典}-业务模块的控制器")
public class DictionariesControllerForWeb extends BaseUtilController {


        @GetMapping("/hydm")
        @ApiOperation(value = "根据-{字典}-查询行业字典", notes = "成功返回:{\"success\":true,\"message\",\"数据查询成功\",\"datarecord\":\"{}\"},失败返回:{\"success\":false,\"message\",\"数据查询失败\"}")
        public Map<String, Object> selectIndustryRadarChart() {
                Map<String, Object> result = new HashMap<String, Object>();
                List<Map<String, Object>> list =new ArrayList<>();
                Map<String, Object> distA =new HashMap<>();
                distA.put("name","农、林,牧,渔业");
                distA.put("value","A");
                list.add(distA);
                Map<String, Object> distB =new HashMap<>();
                distB.put("name","采矿业");
                distB.put("value","B");
                list.add(distB);
                Map<String, Object> distC =new HashMap<>();
                distC.put("name","制造业");
                distC.put("value","C");
                list.add(distC);
                Map<String, Object> distD =new HashMap<>();
                distD.put("name","电力、热力、燃气及水生 产和供应业");
                distD.put("value","D");
                list.add(distD);
                Map<String, Object> distE =new HashMap<>();
                distE.put("name","建筑业");
                distE.put("value","E");
                list.add(distE);
                Map<String, Object> distF =new HashMap<>();
                distF.put("name","批发和零售业");
                distF.put("value","F");
                list.add(distF);
                Map<String, Object> distG =new HashMap<>();
                distG.put("name","交通运输、仓储和邮政业");
                distG.put("value","G");
                list.add(distG);
                Map<String, Object> distH =new HashMap<>();
                distH.put("name","住宿和餐 饮业");
                distH.put("value","H");
                list.add(distH);
                Map<String, Object> distI =new HashMap<>();
                distI.put("name","信息传输、软件和信息技术服务业");
                distI.put("value","I");
                list.add(distI);
                Map<String, Object> distJ =new HashMap<>();
                distJ.put("name","金融业");
                distJ.put("value","J");
                list.add(distJ);
                Map<String, Object> distK =new HashMap<>();
                distK.put("name","房地产业");
                distK.put("value","K");
                list.add(distK);
                Map<String, Object> distL =new HashMap<>();
                distL.put("name","租赁和商务服 务业");
                distL.put("value","L");
                list.add(distL);
                Map<String, Object> distM =new HashMap<>();
                distM.put("name","科学研究和技术服务业");
                distM.put("value","M");
                list.add(distM);
                Map<String, Object> distN =new HashMap<>();
                distN.put("name","水利、环境和公共设施管理业");
                distN.put("value","N");
                list.add(distN);
                Map<String, Object> distO =new HashMap<>();
                distO.put("name","居民服务、修 理和其他服务业");
                distO.put("value","O");
                list.add(distO);
                Map<String, Object> distP =new HashMap<>();
                distP.put("name","教育");
                distP.put("value","P");
                list.add(distP);
                Map<String, Object> distQ =new HashMap<>();
                distQ.put("name","卫生和社会工作");
                distQ.put("value","Q");
                list.add(distQ);
                Map<String, Object> distR =new HashMap<>();
                distR.put("name","文化、体育和娱乐业");
                distR.put("value","R");
                list.add(distR);
                Map<String, Object> distS =new HashMap<>();
                distS.put("name","公共管理、 社会保障和社会组织");
                distS.put("value","S");
                list.add(distS);
                Map<String, Object> distT =new HashMap<>();
                distT.put("name","国际组织");
                distT.put("value","T");
                list.add(distR);
                result.put("list",list);
                return result;
        }
}
