package com.philisense.www.controller.web;


import com.philisense.www.annotation.log.OperateLog;
import com.philisense.www.common.config.CommonConst;
import com.philisense.www.controller.BaseUtilController;
import com.philisense.www.service.DsjOperlogService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@RestController
@RequestMapping(CommonConst.WEB_REST_SERVICE_PREFICX + "dsjoperlog")
@Api(tags = "DsjOperlogControllerForWeb|一个用来操作-{大数据分析日志信息}-业务模块的控制器")
public class DsjOperlogControllerForWeb extends BaseUtilController {


    @Autowired
    private DsjOperlogService dsjOperlogService;

    @PostMapping("/queryPage")
    @ApiOperation(value = "根据-{大数据分析日志信息}-对象Map分页记录", notes = "成功返回:{\"success\":true,\"message\",\"数据查询成功\",\"data\":\"[]\"},失败返回:{\"success\":false,\"message\",\"数据查询失败\"}")

    @OperateLog(name = "根据-{大数据分析日志信息}-对象Map分页记录", value = "query", type = "PC")
    public Map<String, Object> queryPageForLhcjGzzcQlqdForWeb(HttpServletRequest request, HttpServletResponse response, @RequestBody Map<String, Object> map) {

//        Map<String, Object> result = new HashMap<String, Object>();
//
//        try {
//            List<Map<String, Object>> maplist = dsjOperlogService.queryPage(map);
//            Map<String, Object> tempresult = new HashMap<String, Object>();
//            tempresult.put(DATASUCCESS, SUCCESSFLAG);
//            tempresult.put(DATAMESSAGE, QUERY_SUCCESS_MSG);
//            tempresult.put(DATALIST_VUE,maplist);
//            result.put(DATARESULT, tempresult);
//        }catch(Exception e){
//            result.put(DATASUCCESS, ERRORFLAG);
//            result.put(DATAMESSAGE, QUERY_FAIL_MSG+e.getMessage());
//        }
//
//        return result;
//    }
//}


        Map<String, Object> result = new HashMap<String, Object>();
        try {

            int currentPage = map.get(DATACURRENT) != null ? Integer.parseInt(map.get(DATACURRENT) + "") - 1 : 0;
            int pageSize = map.get(PAGESIZE) != null ? Integer.parseInt(map.get(PAGESIZE) + "") : 10;
            int pageStart = currentPage * pageSize;

            map.put(PAGESIZE, pageSize);
            map.put(PAGESTART, pageStart);

            int total = dsjOperlogService.count(map);
            List<Map<String, Object>> datalist = new ArrayList<Map<String, Object>>();
            if (total > 0) {
                datalist = dsjOperlogService.queryPage(map);
            }
            Map<String, Object> tempresult = new HashMap<String, Object>();
            tempresult.put(DATASUCCESS, SUCCESSFLAG);
            tempresult.put(DATAMESSAGE, QUERY_SUCCESS_MSG);
            tempresult.put(DATALIST_VUE, datalist);
            tempresult.put(DATATOTAL_VUE, total);
            tempresult.put(PAGESIZE, map.get(PAGESIZE) != null ? map.get(PAGESIZE) : 10);
            tempresult.put(DATACURRENT_VUE, map.get(DATACURRENT_VUE) != null ? map.get(DATACURRENT_VUE) : 0);
            result.put(DATARESULT, tempresult);
        } catch (Exception e) {
            result.put(DATASUCCESS, ERRORFLAG);
            result.put(DATAMESSAGE, QUERY_FAIL_MSG + e.getMessage());
        }
        return result;
    }
}

