package com.philisense.www.controller.web;

import cn.hutool.core.io.IoUtil;
import cn.hutool.poi.excel.ExcelReader;
import cn.hutool.poi.excel.ExcelUtil;
import cn.hutool.poi.excel.ExcelWriter;
import com.philisense.www.annotation.log.OperateLog;
import com.philisense.www.common.config.CommonConst;
import com.philisense.www.controller.BaseUtilController;
import com.philisense.www.pojos.entity.EnterpriseDishonestyTracking;
import com.philisense.www.service.EnterpriseDishonestyTrackingService;
import com.philisense.www.service.EnterpriseInformationPublicityService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.ServletOutputStream;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStream;
import java.util.*;

@RestController
@RequestMapping(CommonConst.WEB_REST_SERVICE_PREFICX+"enterprisedishonestytracking")
@Api(tags = "EnterpriseDishonestyTrackingControllerForWeb|一个用来操作-{严重违法失信企业详细信息}-业务模块的控制器(author:xxg)")
public class EnterpriseDishonestyTrackingControllerForWeb extends BaseUtilController{

        @Autowired
        private EnterpriseDishonestyTrackingService enterpriseDishonestyTrackingService;

        @Autowired
        private EnterpriseInformationPublicityService enterpriseInformationPublicityService;


        @PostMapping( "/selectQysxgzList")
        @ApiOperation(value="根据-{企业失信跟踪}-对象Map分页记录-新", notes="成功返回:{\"success\":true,\"message\",\"数据查询成功\",\"data\":\"[]\"},失败返回:{\"success\":false,\"message\",\"数据查询失败\"}")
        @ApiImplicitParams({
                @ApiImplicitParam(paramType="body", name = "qymc", value = "企业名称  ", required = true, dataTypeClass = String.class),
                @ApiImplicitParam(paramType="body", name = "sxxw", value = "失信行为 ", required = true, dataTypeClass = String.class),
                @ApiImplicitParam(paramType="body", name = "lrrq", value = "列入日期  ", required = true, dataTypeClass = String.class),
                @ApiImplicitParam(paramType="body", name = "begTime", value = "开始日期  ", required = true, dataTypeClass = String.class),
                @ApiImplicitParam(paramType="body", name = "endTime", value = "结束日期  ", required = true, dataTypeClass = String.class)
        })
        @OperateLog(name = "根据-{企业失信跟踪}-对象Map分页记录-新",value = "query",type = "PC")
        public Map<String, Object>  selectQysxgzList(HttpServletRequest request , HttpServletResponse response,@RequestBody Map<String, Object> map)
        {
                Map<String, Object> result = new HashMap<String, Object>();
                try {

                        int currentPage = map.get(DATACURRENT)!=null?Integer.parseInt(map.get(DATACURRENT)+"")-1:0;
                        int pageSize = map.get(PAGESIZE)!=null?Integer.parseInt(map.get(PAGESIZE)+""):10;
                        int pageStart = currentPage*pageSize ;

                        map.put(PAGESIZE,pageSize);
                        map.put(PAGESTART,pageStart);

                        int total = enterpriseDishonestyTrackingService.selectQysxgzCount(map);
                        List<Map<String, Object>> datalist = new ArrayList<Map<String, Object>>();
                        if(total>0){
                                datalist = enterpriseDishonestyTrackingService.selectQysxgzList(map);
                        }
                        Map<String, Object> tempresult = new HashMap<String, Object>();
                        tempresult.put(DATASUCCESS, SUCCESSFLAG);
                        tempresult.put(DATAMESSAGE, QUERY_SUCCESS_MSG);
                        tempresult.put(DATALIST,datalist);
                        tempresult.put(DATATOTAL,total);
                        tempresult.put(PAGESIZE,map.get(PAGESIZE)!=null?map.get(PAGESIZE):10);
                        tempresult.put(DATACURRENT,map.get(DATACURRENT)!=null?map.get(DATACURRENT):0);
                        result.put(DATARESULT, tempresult);
                }catch(Exception e){
                        result.put(DATASUCCESS, ERRORFLAG);
                        result.put(DATAMESSAGE, QUERY_FAIL_MSG+e.getMessage());
                }
                return result;
        }

        @PostMapping( "/selectQysxgzView")
        @ApiOperation(value="根据-{企业失信跟踪}-根据企业信用代码查看详情-新", notes="成功返回:{\"success\":true,\"message\",\"数据查询成功\",\"data\":\"[]\"},失败返回:{\"success\":false,\"message\",\"数据查询失败\"}")
        @ApiImplicitParams({
                @ApiImplicitParam(paramType="body", name = "xydm", value = "企业信用代码  ", required = true, dataTypeClass = String.class),
                @ApiImplicitParam(paramType="body", name = "sxsjid", value = "企业失信表主键  ", required = true, dataTypeClass = String.class)
        })
        @OperateLog(name = "根据-{企业失信跟踪}-根据企业信用代码查看详情-新",value = "query",type = "PC")
        public Map<String, Object>  selectQysxgzView(HttpServletRequest request , HttpServletResponse response,@RequestBody Map<String, Object> map)
        {
                Map<String, Object> result = new HashMap<String, Object>();
                try {
                        List<Map<String, Object>> list1 = enterpriseDishonestyTrackingService.selectQysxqkQuery(map);
                        List<Map<String, Object>> list2 = enterpriseDishonestyTrackingService.selectQyclqkQuery(map);
                        List<Map<String, Object>> list3 = enterpriseDishonestyTrackingService.selectQyhfqkQuery(map);
                        List<Map<String, Object>> list4 = enterpriseDishonestyTrackingService.selectQymqqkQuery(map);
                        List<Map<String, Object>> list5 = enterpriseInformationPublicityService.selectQyxxQuery(map);
                        result.put("sxqk", list1);//失信情况
                        result.put("clqk", list2);//处理情况
                        result.put("hfqk", list3);//回访情况
                        result.put("mqqk", list4);//目前情况
                        result.put("qyxx", list5);//企业信息
                        result.put(DATASUCCESS, SUCCESSFLAG);
                        result.put(DATAMESSAGE, QUERY_SUCCESS_MSG);
                }catch(Exception e){
                        result.put(DATASUCCESS, ERRORFLAG);
                        result.put(DATAMESSAGE, QUERY_FAIL_MSG+e.getMessage());
                }
                return result;
        }



        @PostMapping( "/selectQyxxQuery")
        @ApiOperation(value="根据-{企业信息目录表}-对象Map分页记录", notes="成功返回:{\"success\":true,\"message\",\"数据查询成功\",\"data\":\"[]\"},失败返回:{\"success\":false,\"message\",\"数据查询失败\"}")
        @ApiImplicitParams({
                @ApiImplicitParam(paramType="body", name = "xydm", value = "统一社会信用代码  ", required = true, dataTypeClass = String.class),
                @ApiImplicitParam(paramType="body", name = "qymc", value = "企业名称 ", required = true, dataTypeClass = String.class),
                @ApiImplicitParam(paramType="body", name = "zs", value = "住所  ", required = true, dataTypeClass = String.class),
                @ApiImplicitParam(paramType="body", name = "hymh", value = "行业名称  ", required = true, dataTypeClass = String.class),
                @ApiImplicitParam(paramType="body", name = "fddbr", value = "法人名称  ", required = true, dataTypeClass = String.class)
        })
        @OperateLog(name = "根据-{企业信息目录表}-对象Map分页记录",value = "query",type = "PC")
        public Map<String, Object>  selectQyxxQuery(HttpServletRequest request , HttpServletResponse response,@RequestBody Map<String, Object> map)
        {
                Map<String, Object> result = new HashMap<String, Object>();
                try {

                        int currentPage = map.get(DATACURRENT)!=null?Integer.parseInt(map.get(DATACURRENT)+"")-1:0;
                        int pageSize = map.get(PAGESIZE)!=null?Integer.parseInt(map.get(PAGESIZE)+""):10;
                        int pageStart = currentPage*pageSize ;

                        map.put(PAGESIZE,pageSize);
                        map.put(PAGESTART,pageStart);

                        int total = enterpriseDishonestyTrackingService.selectQyxxCount(map);
                        List<Map<String, Object>> datalist = new ArrayList<Map<String, Object>>();
                        if(total>0){
                                datalist = enterpriseDishonestyTrackingService.selectQyxxQuery(map);
                        }
                        Map<String, Object> tempresult = new HashMap<String, Object>();
                        tempresult.put(DATASUCCESS, SUCCESSFLAG);
                        tempresult.put(DATAMESSAGE, QUERY_SUCCESS_MSG);
                        tempresult.put(DATALIST,datalist);
                        tempresult.put(DATATOTAL,total);
                        tempresult.put(PAGESIZE,map.get(PAGESIZE)!=null?map.get(PAGESIZE):10);
                        tempresult.put(DATACURRENT,map.get(DATACURRENT)!=null?map.get(DATACURRENT):0);
                        result.put(DATARESULT, tempresult);
                }catch(Exception e){
                        result.put(DATASUCCESS, ERRORFLAG);
                        result.put(DATAMESSAGE, QUERY_FAIL_MSG+e.getMessage());
                }
                return result;
        }

        @GetMapping( "/get")
        @ApiOperation(value="根据-{严重违法失信企业详细信息}-主键查询记录", notes="成功返回:{\"success\":true,\"message\",\"数据查询成功\",\"datarecord\":\"{}\"},失败返回:{\"success\":false,\"message\",\"数据查询失败\"}")
        @ApiImplicitParam(paramType="query", name = "recordid", value = "记录主键", required = true,  dataTypeClass = String.class)
        @OperateLog(name = "根据-{严重违法失信企业详细信息}-主键查询记录",value = "query",type = "PC")
        public Map<String, Object> selectByPrimaryKeyForXzScjdYzwfsxqyxxxxForWeb(HttpServletRequest request , HttpServletResponse response,@RequestParam String recordid)
        {
                Map<String, Object> result = new HashMap<String, Object>();
                try {

                result.put(DATASUCCESS, SUCCESSFLAG);
                result.put(DATAMESSAGE, QUERY_SUCCESS_MSG);
                result.put(DATARECORD, enterpriseDishonestyTrackingService.selectByPrimaryKey(recordid));
                }catch(Exception e){
                result.put(DATASUCCESS, ERRORFLAG);
                result.put(DATAMESSAGE, QUERY_FAIL_MSG+e.getMessage());
                }
                return result;
        }


        @PostMapping( "/getOne")
        @ApiOperation(value="根据-{严重违法失信企业详细信息}-对象Map查询记录", notes="成功返回:{\"success\":true,\"message\",\"数据查询成功\",\"datarecord\":\"{}\"},失败返回:{\"success\":false,\"message\",\"数据查询失败\"}")
        @ApiImplicitParams({
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.ID_KEY, value = "严重违法失信企业详细信息id", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.JYYCML_ID_KEY, value = "严重违法失信 ID", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.ZTSFDM_KEY, value = "主体身份代码", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.MC_KEY, value = "企业（机构）名称", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.XYDM_KEY, value = "统一社会信用代码", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.ZCH_KEY, value = "注册号", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.LRSYS_KEY, value = "列入事由/情形（中文名 称）", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.LRSY_KEY, value = "列入事由/情形", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.LRZCJG_KEY, value = "列入作出决定机关", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.LRZCJGS_KEY, value = "列入作出决定机关（中文 名称）", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.LRRQ_KEY, value = "列入日期", required = true, dataTypeClass = Date.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.LRWH_KEY, value = "列入文号", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.SJHZDW_KEY, value = "数据汇总单位", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.SJHZSJ_KEY, value = "数据汇总时间", required = true, dataTypeClass = Date.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.SJLYDW_KEY, value = "数据来源单位", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.SJLYXYDM_KEY, value = "数据来源单位统一社会信 用代码", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.BZ_KEY, value = "备注", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.YCSY_KEY, value = "移出事由", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.YCSYS_KEY, value = "移出事由（中文名称）", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.YCRQ_KEY, value = "移出日期", required = true, dataTypeClass = Date.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.YCJDJG_KEY, value = "移出作出决定机关", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.SB_STATUS_KEY, value = "上报状态", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.CREATER_KEY, value = "创建人", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.CREATER_ID_KEY, value = "创建人id", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.CREATER_TIME_KEY, value = "创建时间", required = true, dataTypeClass = Date.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.UPDETE_TIME_KEY, value = "修改时间", required = true, dataTypeClass = Date.class)
        })
        @OperateLog(name = "根据-{严重违法失信企业详细信息}-对象Map查询记录",value = "query",type = "PC")
        public Map<String, Object>  getOneForXzScjdYzwfsxqyxxxxForWeb(HttpServletRequest request , HttpServletResponse response,@RequestBody Map<String, Object> map)
        {
                Map<String, Object> result = new HashMap<String, Object>();
                try {

                result.put(DATASUCCESS, SUCCESSFLAG);
                result.put(DATAMESSAGE, QUERY_SUCCESS_MSG);
                result.put(DATARECORD, enterpriseDishonestyTrackingService.getOne(map));
                }catch(Exception e){
                result.put(DATASUCCESS, ERRORFLAG);
                result.put(DATAMESSAGE, QUERY_FAIL_MSG+e.getMessage());
                }
                return result;
        }

        @PostMapping( "/getAll")
        @ApiOperation(value="根据-{严重违法失信企业详细信息}-对象Map查询所有记录", notes="成功返回:{\"success\":true,\"message\",\"数据查询成功\",\"data\":\"[]\"},失败返回:{\"success\":false,\"message\",\"数据查询失败\"}")
        @ApiImplicitParams({
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.ID_KEY, value = "严重违法失信企业详细信息id", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.JYYCML_ID_KEY, value = "严重违法失信 ID", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.ZTSFDM_KEY, value = "主体身份代码", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.MC_KEY, value = "企业（机构）名称", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.XYDM_KEY, value = "统一社会信用代码", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.ZCH_KEY, value = "注册号", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.LRSYS_KEY, value = "列入事由/情形（中文名 称）", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.LRSY_KEY, value = "列入事由/情形", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.LRZCJG_KEY, value = "列入作出决定机关", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.LRZCJGS_KEY, value = "列入作出决定机关（中文 名称）", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.LRRQ_KEY, value = "列入日期", required = true, dataTypeClass = Date.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.LRWH_KEY, value = "列入文号", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.SJHZDW_KEY, value = "数据汇总单位", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.SJHZSJ_KEY, value = "数据汇总时间", required = true, dataTypeClass = Date.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.SJLYDW_KEY, value = "数据来源单位", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.SJLYXYDM_KEY, value = "数据来源单位统一社会信 用代码", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.BZ_KEY, value = "备注", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.YCSY_KEY, value = "移出事由", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.YCSYS_KEY, value = "移出事由（中文名称）", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.YCRQ_KEY, value = "移出日期", required = true, dataTypeClass = Date.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.YCJDJG_KEY, value = "移出作出决定机关", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.SB_STATUS_KEY, value = "上报状态", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.CREATER_KEY, value = "创建人", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.CREATER_ID_KEY, value = "创建人id", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.CREATER_TIME_KEY, value = "创建时间", required = true, dataTypeClass = Date.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.UPDETE_TIME_KEY, value = "修改时间", required = true, dataTypeClass = Date.class)
        })
        @OperateLog(name = "根据-{严重违法失信企业详细信息}-对象Map查询所有记录",value = "query",type = "PC")
        public Map<String, Object>  getAllForXzScjdYzwfsxqyxxxxForWeb(HttpServletRequest request , HttpServletResponse response,@RequestBody Map<String, Object> map)
                {
                Map<String, Object> result = new HashMap<String, Object>();
                try {

                result.put(DATASUCCESS, SUCCESSFLAG);
                result.put(DATAMESSAGE, QUERY_SUCCESS_MSG);
                result.put(DATALIST, enterpriseDishonestyTrackingService.getAll(map));
                }catch(Exception e){
                result.put(DATASUCCESS, ERRORFLAG);
                result.put(DATAMESSAGE, QUERY_FAIL_MSG+e.getMessage());
                }
                return result;
        }

        @PostMapping( "/queryPage")
        @ApiOperation(value="根据-{严重违法失信企业详细信息}-对象Map分页记录", notes="成功返回:{\"success\":true,\"message\",\"数据查询成功\",\"data\":\"[]\"},失败返回:{\"success\":false,\"message\",\"数据查询失败\"}")
        @ApiImplicitParams({
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.ID_KEY, value = "严重违法失信企业详细信息id", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.JYYCML_ID_KEY, value = "严重违法失信 ID", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.ZTSFDM_KEY, value = "主体身份代码", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.MC_KEY, value = "企业（机构）名称", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.XYDM_KEY, value = "统一社会信用代码", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.ZCH_KEY, value = "注册号", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.LRSYS_KEY, value = "列入事由/情形（中文名 称）", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.LRSY_KEY, value = "列入事由/情形", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.LRZCJG_KEY, value = "列入作出决定机关", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.LRZCJGS_KEY, value = "列入作出决定机关（中文 名称）", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.LRRQ_KEY, value = "列入日期", required = true, dataTypeClass = Date.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.LRWH_KEY, value = "列入文号", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.SJHZDW_KEY, value = "数据汇总单位", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.SJHZSJ_KEY, value = "数据汇总时间", required = true, dataTypeClass = Date.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.SJLYDW_KEY, value = "数据来源单位", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.SJLYXYDM_KEY, value = "数据来源单位统一社会信 用代码", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.BZ_KEY, value = "备注", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.YCSY_KEY, value = "移出事由", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.YCSYS_KEY, value = "移出事由（中文名称）", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.YCRQ_KEY, value = "移出日期", required = true, dataTypeClass = Date.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.YCJDJG_KEY, value = "移出作出决定机关", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.SB_STATUS_KEY, value = "上报状态", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.CREATER_KEY, value = "创建人", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.CREATER_ID_KEY, value = "创建人id", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.CREATER_TIME_KEY, value = "创建时间", required = true, dataTypeClass = Date.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.UPDETE_TIME_KEY, value = "修改时间", required = true, dataTypeClass = Date.class)
        })
        @OperateLog(name = "根据-{严重违法失信企业详细信息}-对象Map分页记录",value = "query",type = "PC")
        public Map<String, Object>  queryPageForXzScjdYzwfsxqyxxxxForWeb(HttpServletRequest request , HttpServletResponse response,@RequestBody Map<String, Object> map)
        {
                Map<String, Object> result = new HashMap<String, Object>();
                try {

                int currentPage = map.get(DATACURRENT)!=null?Integer.parseInt(map.get(DATACURRENT)+"")-1:0;
                int pageSize = map.get(PAGESIZE)!=null?Integer.parseInt(map.get(PAGESIZE)+""):10;
                int pageStart = currentPage*pageSize ;

                map.put(PAGESIZE,pageSize);
                map.put(PAGESTART,pageStart);

                int total = enterpriseDishonestyTrackingService.count(map);
                List<Map<String, Object>> datalist = new ArrayList<Map<String, Object>>();
                if(total>0){
                datalist = enterpriseDishonestyTrackingService.queryPage(map);
                }
                Map<String, Object> tempresult = new HashMap<String, Object>();
                tempresult.put(DATASUCCESS, SUCCESSFLAG);
                tempresult.put(DATAMESSAGE, QUERY_SUCCESS_MSG);
                tempresult.put(DATALIST,datalist);
                tempresult.put(DATATOTAL,total);
                tempresult.put(PAGESIZE,map.get(PAGESIZE)!=null?map.get(PAGESIZE):10);
                tempresult.put(DATACURRENT,map.get(DATACURRENT)!=null?map.get(DATACURRENT):0);
                result.put(DATARESULT, tempresult);
                }catch(Exception e){
                result.put(DATASUCCESS, ERRORFLAG);
                result.put(DATAMESSAGE, QUERY_FAIL_MSG+e.getMessage());
                }
                return result;
        }

        @PostMapping( "/count")
        @ApiOperation(value="根据-{严重违法失信企业详细信息}-对象Map统计查询总数记录", notes="成功返回:{\"success\":true,\"message\",\"数据查询成功\",\"data\":\"[]\"},失败返回:{\"success\":false,\"message\",\"数据查询失败\"}")
        @ApiImplicitParams({
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.ID_KEY, value = "严重违法失信企业详细信息id", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.JYYCML_ID_KEY, value = "严重违法失信 ID", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.ZTSFDM_KEY, value = "主体身份代码", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.MC_KEY, value = "企业（机构）名称", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.XYDM_KEY, value = "统一社会信用代码", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.ZCH_KEY, value = "注册号", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.LRSYS_KEY, value = "列入事由/情形（中文名 称）", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.LRSY_KEY, value = "列入事由/情形", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.LRZCJG_KEY, value = "列入作出决定机关", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.LRZCJGS_KEY, value = "列入作出决定机关（中文 名称）", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.LRRQ_KEY, value = "列入日期", required = true, dataTypeClass = Date.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.LRWH_KEY, value = "列入文号", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.SJHZDW_KEY, value = "数据汇总单位", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.SJHZSJ_KEY, value = "数据汇总时间", required = true, dataTypeClass = Date.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.SJLYDW_KEY, value = "数据来源单位", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.SJLYXYDM_KEY, value = "数据来源单位统一社会信 用代码", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.BZ_KEY, value = "备注", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.YCSY_KEY, value = "移出事由", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.YCSYS_KEY, value = "移出事由（中文名称）", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.YCRQ_KEY, value = "移出日期", required = true, dataTypeClass = Date.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.YCJDJG_KEY, value = "移出作出决定机关", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.SB_STATUS_KEY, value = "上报状态", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.CREATER_KEY, value = "创建人", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.CREATER_ID_KEY, value = "创建人id", required = true, dataTypeClass = String.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.CREATER_TIME_KEY, value = "创建时间", required = true, dataTypeClass = Date.class),
        @ApiImplicitParam(paramType="body", name = EnterpriseDishonestyTracking.UPDETE_TIME_KEY, value = "修改时间", required = true, dataTypeClass = Date.class)
        })
        @OperateLog(name = "根据-{严重违法失信企业详细信息}-对象Map统计查询总数记录",value = "query",type = "PC")
        public Map<String, Object>  countForXzScjdYzwfsxqyxxxxForWeb(HttpServletRequest request , HttpServletResponse response,@RequestBody Map<String, Object> map)
                {
                Map<String, Object> result = new HashMap<String, Object>();
                try {

                result.put(DATASUCCESS, SUCCESSFLAG);
                result.put(DATAMESSAGE, QUERY_SUCCESS_MSG);
                result.put(DATATOTAL, enterpriseDishonestyTrackingService.count(map));
                }catch(Exception e){
                result.put(DATASUCCESS, ERRORFLAG);
                result.put(DATAMESSAGE, QUERY_FAIL_MSG+e.getMessage());
                }
                return result;
        }

}
