package com.philisense.www.utils;

import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;

import java.io.File;
import java.io.IOException;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.UUID;

/**
* @ClassName: FileUploadUtil
* @Description: 文件上传工具类
* @author: zhouxiaojie
* @date: 2021/8/6 14:31
* @copyright:
* @Version: V1.0.0
*/
public class FileUploadUtil {
    /**
     * 上传文件工具类
     *
     * @param uploadFile 文件
     * @param fileDir    文件目录名
     * @param request
     * @return
     */
    public static String uploadUtil(MultipartFile uploadFile, String fileDir, HttpServletRequest request) throws IOException {
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy/MM/dd");
        String realPath = fileDir;
        String format = "/"+sdf.format(new Date());
        String folder = realPath + format;

        String filePath = "";
        String oldName = uploadFile.getOriginalFilename();
        String newName = UUID.randomUUID().toString() + oldName.substring(oldName.lastIndexOf("."), oldName.length());
        //File file = new File(folder, newName);
        File desc = new File(folder +  newName);
        //是否目录
//        if (!file.getParentFile().isDirectory()) {
//            file.getParentFile().mkdirs();
//        }
        if (!desc.getParentFile().exists()) { // 如果存放路径的父目录不存在，就创建它。
            desc.getParentFile().mkdirs();
        }
        try {
            uploadFile.transferTo(desc.getAbsoluteFile());
            filePath = fileDir + "/" + format + "/" + newName;
            return filePath;
        } catch (Exception e) {
            e.printStackTrace();
        }
        return "";
    }


    public static File transferToFile(MultipartFile multipartFile) {
//        选择用缓冲区来实现这个转换即使用java 创建的临时文件 使用 MultipartFile.transferto()方法 。
        File file = null;
        try {
            String originalFilename = multipartFile.getOriginalFilename();
            String[] filename = originalFilename.split("\\.");
            file=File.createTempFile(filename[0], filename[1]);
            multipartFile.transferTo(file);
            file.deleteOnExit();
        } catch (IOException e) {
            e.printStackTrace();
        }
        return file;
    }

    private static final File getAbsoluteFile(String uploadDir, String fileName) throws IOException
    {
        File desc = new File(uploadDir + File.separator + fileName);

        if (!desc.getParentFile().exists())
        {
            desc.getParentFile().mkdirs();
        }
        if (!desc.exists())
        {
            desc.createNewFile();
        }
        return desc;
    }
}
