package com.philisense.www.utils;

import com.philisense.www.constant.Constants;
import org.springframework.http.HttpHeaders;
import org.springframework.http.MediaType;

import javax.servlet.http.HttpServletRequest;

/**
 * 客户端工具类
 *
 * @author
 */
public class RestTemplateUtils {

    /**
     * 处理 Headers
     *
     * @param request request对象
     * @param tokenHeader   令牌 Headers 标识
     */
    public static HttpHeaders handleHeaders(HttpServletRequest request, String tokenHeader) {
        HttpHeaders requestHeaders = new HttpHeaders();
        requestHeaders.add(tokenHeader, request.getHeader(tokenHeader));
        requestHeaders.add(Constants.CUSTOM_HEADERS_SERVER_TYPE, "InternalServer");
        requestHeaders.setContentType(MediaType.APPLICATION_JSON);
        return requestHeaders;
    }

}
