package com.philisense.www.utils;

import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

public class TreeUtils {

    /**
     * 处理树结构
     *
     * @param trees
     * @param pid
     * @return
     */
    public static List<Map<String, Object>> handelTree(List<Map<String, Object>> trees, String pid) {
        //获取一级分类
        return trees.stream().filter(tree ->
                        pid.equals(tree.get("parentid")))
                .peek(tree -> {
                    tree.put("key", tree.get("id"));
                    tree.put("title", tree.get("name"));
                    if ("0".equals(tree.get("leaf"))) {//不是叶子节点才拿子节点
                        tree.put("children", getChildren(tree, trees));
                    }
                }).collect(Collectors.toList());
    }

    public static List<Map<String, Object>> getChildren(Map<String, Object> root, List<Map<String, Object>> trees) {
        return trees.stream()
                .filter(tree -> root.get("id").equals(tree.get("parentid")))
                .peek(tree -> {
                    tree.put("key", tree.get("id"));
                    tree.put("title", tree.get("name"));
                    if ("0".equals(tree.get("leaf"))) {//不是叶子节点才拿子节点
                        tree.put("children", getChildren(tree, trees));
                    }
                }).collect(Collectors.toList());
    }

}
