package com.philisense.www.dao.impl;

import com.philisense.www.dao.CombinationAnalysisDAO;
import com.philisense.www.druid.DS;
import com.philisense.www.druid.DataSourceEnum;
import com.philisense.www.mapper.CombinationAnalysisMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @author Administrator
 */
@Repository
public class CombinationAnalysisDAOImpl implements CombinationAnalysisDAO {

    @Autowired
    private CombinationAnalysisMapper combinationAnalysisMapper;

    @Override
    @DS(name = DataSourceEnum.SLAVE1)
    public List<Map<String, String>> selectIndustryBreakOnesPromise(String startTime, String endTime, String qy) {
        return combinationAnalysisMapper.selectIndustryBreakOnesPromise(startTime, endTime, qy);
    }

    @Override
    @DS(name = DataSourceEnum.SLAVE1)
    public List<Map<String, String>> selectEnterpriseBreakOnesPromise(String startTime, String endTime, String qy) {
        return combinationAnalysisMapper.selectEnterpriseBreakOnesPromise(startTime,endTime, qy);
    }

    @Override
    @DS(name = DataSourceEnum.SLAVE1)
    public List<Map<String, String>> selectPersonalBreakOnesPromise(String startTime, String endTime, String qy) {
        return combinationAnalysisMapper.selectPersonalBreakOnesPromise(startTime, endTime, qy);
    }

    @Override
    @DS(name = DataSourceEnum.SLAVE1)
    public List<Map<String, String>> selectRegionBreakOnesPromise(String startTime, String endTime) {
        return combinationAnalysisMapper.selectRegionBreakOnesPromise(startTime, endTime);
    }
}

