package com.philisense.www.dao.impl;

import com.philisense.www.dao.ComprehensiveStatisticalAnalysisDAO;
import com.philisense.www.druid.DS;
import com.philisense.www.druid.DataSourceEnum;
import com.philisense.www.mapper.ComprehensiveStatisticalAnalysisMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public class ComprehensiveStatisticalAnalysisDAOImpl implements ComprehensiveStatisticalAnalysisDAO {

    @Autowired
    private ComprehensiveStatisticalAnalysisMapper comprehensiveStatisticalAnalysisMapper;

    @Override
    @DS(name = DataSourceEnum.SLAVE1)
    public List<Map<String, String>> selectEarlyWarningData(String startTime, String endTime) {
        return comprehensiveStatisticalAnalysisMapper.selectEarlyWarningData(startTime, endTime);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public List<Map<String, String>> selectIndustryCreditIndexData(String startTime, String endTime) {
        return comprehensiveStatisticalAnalysisMapper.selectIndustryCreditIndexData(startTime, endTime);
    }

    @Override
    @DS(name = DataSourceEnum.SLAVE1)
    public List<Map<String, String>> selectAreaEarlyWarningData(String startTime, String endTime) {
        return comprehensiveStatisticalAnalysisMapper.selectAreaEarlyWarningData(startTime, endTime);
    }

    @Override
    @DS(name = DataSourceEnum.SLAVE1)
    public List<Map<String, String>> selectAreaEarlyWarningData1(String startTime, String endTime) {
        return comprehensiveStatisticalAnalysisMapper.selectAreaEarlyWarningData1(startTime, endTime);
    }
}
