package com.philisense.www.dao.impl;

import com.philisense.www.dao.CreditResourceDirectoryDAO;
import com.philisense.www.druid.DS;
import com.philisense.www.druid.DataSourceEnum;
import com.philisense.www.mapper.CreditResourceDirectoryMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;


import java.util.List;
import java.util.Map;

@Repository
public class CreditResourceDirectoryDAOImpl implements CreditResourceDirectoryDAO {

    @Autowired
    private CreditResourceDirectoryMapper creditResourceDirectoryMapper;

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public int deleteByPrimaryKey(String id) {
        return creditResourceDirectoryMapper.deleteByPrimaryKey(id);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public Map<String, Object> selectByPrimaryKey(String id) {
        return creditResourceDirectoryMapper.selectByPrimaryKey(id);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public int insert(Map<String, Object> map) {
        return creditResourceDirectoryMapper.insert(map);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public int update(Map<String, Object> map) {
        return creditResourceDirectoryMapper.update(map);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public int deleteByMap(Map<String, Object> map) {
        return creditResourceDirectoryMapper.deleteByMap(map);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public int updateByMap(Map<String, Object> map) {
        return creditResourceDirectoryMapper.updateByMap(map);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public Map<String, Object> getOne(Map<String, Object> map) {
        return creditResourceDirectoryMapper.getOne(map);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public List<Map<String, Object>> getAll(Map<String, Object> map) {
        return creditResourceDirectoryMapper.getAll(map);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public List<Map<String, Object>> queryPage(Map<String, Object> map) {
        return creditResourceDirectoryMapper.queryPage(map);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public int count(Map<String, Object> map) {
        return creditResourceDirectoryMapper.count(map);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public void insertBatch(List<Map<String, Object>> list) {
        creditResourceDirectoryMapper.insertBatch(list);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public void deleteBatch(List<Map<String, Object>> list) {
        creditResourceDirectoryMapper.deleteBatch(list);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public void updateBatch(List<Map<String, Object>> list) {
        creditResourceDirectoryMapper.updateBatch(list);
    }

    @Override
    @DS(name = DataSourceEnum.SLAVE3)
    public List<Map<String, String>> selectDeptList(String parentid) {
        return creditResourceDirectoryMapper.selectDeptList(parentid);
    }

    @Override
    @DS(name = DataSourceEnum.SLAVE3)
    public List<Map<String, Object>> getProDeptTreeByParentid(Map<String, Object> map) {
        return creditResourceDirectoryMapper.getProDeptTreeByParentid(map);
    }

    @Override
    @DS(name = DataSourceEnum.SLAVE3)
    public List<Map<String, Object>> getProDeptTreeByLevelCode(Map<String, Object> map) {
        return creditResourceDirectoryMapper.getProDeptTreeByLevelCode(map);
    }

    @Override
    @DS(name = DataSourceEnum.SLAVE3)
    public List<Map<String, Object>> getPageProUserByDeptCode(Map<String, Object> map) {
        return creditResourceDirectoryMapper.getPageProUserByDeptCode(map);
    }

}
