package com.philisense.www.dao.impl;

import com.philisense.www.dao.DataAnalysisChartDAO;
import com.philisense.www.druid.DS;
import com.philisense.www.druid.DataSourceEnum;
import com.philisense.www.mapper.DataAnalysisChartMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.jdbc.core.BeanPropertyRowMapper;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.jdbc.core.RowMapper;
import org.springframework.stereotype.Repository;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

@Repository
public class DataAnalysisChartDAOImpl implements DataAnalysisChartDAO {

    @Autowired
    private DataAnalysisChartMapper dataAnalysisChartMapper;

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public List<Map<String, String>> selectIndustryNumChart(String years) {
        return dataAnalysisChartMapper.selectIndustryNumChart(years);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public List<Map<String, String>> selectEnterpriseAddressNumChart(String years) {
        return dataAnalysisChartMapper.selectEnterpriseAddressNumChart(years);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public List<Map<String, String>> selectDemo(String years) {
        return dataAnalysisChartMapper.selectDemo(years);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public List<Map<String, Object>> selectMyTest(String field, String param, String tableName) {
        return dataAnalysisChartMapper.selectMyTest(field,param,tableName);
    }

}
