package com.philisense.www.dao.impl;

import com.philisense.www.dao.DsjOperlogDAO;
import com.philisense.www.druid.DS;
import com.philisense.www.druid.DataSourceEnum;
import com.philisense.www.mapper.DsjOperlogMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public class DsjOperlogDAOImpl implements DsjOperlogDAO {
        @Autowired
        private DsjOperlogMapper dsjOperlogMapper;
        @Override
        @DS(name = DataSourceEnum.MASTER)
        public int deleteByPrimaryKey(String id) {
            return dsjOperlogMapper.deleteByPrimaryKey(id);
        }

        @Override
        @DS(name = DataSourceEnum.MASTER)
        public Map<String, Object> selectByPrimaryKey(String id) {
            return dsjOperlogMapper.selectByPrimaryKey(id);
        }

        @Override
        @DS(name = DataSourceEnum.MASTER)
        public int insert(Map<String, Object> map) {
            return dsjOperlogMapper.insert(map);
        }

        @Override
        @DS(name = DataSourceEnum.MASTER)
        public int update(Map<String, Object> map) {
            return dsjOperlogMapper.update(map);
        }

        @Override
        @DS(name = DataSourceEnum.MASTER)
        public int deleteByMap(Map<String, Object> map) {
            return dsjOperlogMapper.deleteByMap(map);
        }

        @Override
        @DS(name = DataSourceEnum.MASTER)
        public int updateByMap(Map<String, Object> map) {
            return dsjOperlogMapper.updateByMap(map);
        }

        @Override
        @DS(name = DataSourceEnum.MASTER)
        public Map<String, Object> getOne(Map<String, Object> map) {
            return dsjOperlogMapper.getOne(map);
        }

        @Override
        @DS(name = DataSourceEnum.MASTER)
        public List<Map<String, Object>> getAll(Map<String, Object> map) {
            return dsjOperlogMapper.getAll(map);
        }

        @Override
        @DS(name = DataSourceEnum.MASTER)
        public List<Map<String, Object>> queryPage(Map<String, Object> map) {
            return dsjOperlogMapper.queryPage(map);
        }

        @Override
        @DS(name = DataSourceEnum.MASTER)
        public int count(Map<String, Object> map) {
            return dsjOperlogMapper.count(map);
        }

        @Override
        @DS(name = DataSourceEnum.MASTER)
        public void insertBatch(List<Map<String, Object>> list) {
            dsjOperlogMapper.insertBatch(list);
        }

        @Override
        @DS(name = DataSourceEnum.MASTER)
        public void deleteBatch(List<Map<String, Object>> list) {
                dsjOperlogMapper.deleteBatch(list);
        }

        @Override
        @DS(name = DataSourceEnum.MASTER)
        public void updateBatch(List<Map<String, Object>> list) {
            dsjOperlogMapper.updateBatch(list);
        }
}
