package com.philisense.www.dao.impl;

import com.philisense.www.dao.EnterpriseInformationPublicityDAO;
import com.philisense.www.druid.DS;
import com.philisense.www.druid.DataSourceEnum;
import com.philisense.www.mapper.EnterpriseInformationPublicityMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public class EnterpriseInformationPublicityDAOImpl implements EnterpriseInformationPublicityDAO {

    @Autowired
    private EnterpriseInformationPublicityMapper enterpriseInformationPublicityMapper;

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public int deleteByPrimaryKey(String id) {
        return enterpriseInformationPublicityMapper.deleteByPrimaryKey(id);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public Map<String, Object> selectByPrimaryKey(String id) {
        return enterpriseInformationPublicityMapper.selectByPrimaryKey(id);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public int insert(Map<String, Object> map) {
        return enterpriseInformationPublicityMapper.insert(map);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public int update(Map<String, Object> map) {
        return enterpriseInformationPublicityMapper.update(map);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public int deleteByMap(Map<String, Object> map) {
        return enterpriseInformationPublicityMapper.deleteByMap(map);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public int updateByMap(Map<String, Object> map) {
        return enterpriseInformationPublicityMapper.updateByMap(map);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public Map<String, Object> getOne(Map<String, Object> map) {
        return enterpriseInformationPublicityMapper.getOne(map);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public List<Map<String, Object>> getAll(Map<String, Object> map) {
        return enterpriseInformationPublicityMapper.getAll(map);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public List<Map<String, Object>> queryPage(Map<String, Object> map) {
        return enterpriseInformationPublicityMapper.queryPage(map);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public int count(Map<String, Object> map) {
        return enterpriseInformationPublicityMapper.count(map);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public void insertBatch(List<Map<String, Object>> list) {
        enterpriseInformationPublicityMapper.insertBatch(list);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public void deleteBatch(List<Map<String, Object>> list) {
        enterpriseInformationPublicityMapper.deleteBatch(list);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public void updateBatch(List<Map<String, Object>> list) {
        enterpriseInformationPublicityMapper.updateBatch(list);
    }

    @Override
    @DS(name = DataSourceEnum.SLAVE1)
    public List<Map<String, String>> selectSxsjQuery(String begTime,String endTime) {
        return enterpriseInformationPublicityMapper.selectSxsjQuery(begTime,endTime);
    }

    @Override
    @DS(name = DataSourceEnum.SLAVE1)
    public List<Map<String, String>> selectQyycQuery(String begTime,String endTime) {
        return enterpriseInformationPublicityMapper.selectQyycQuery(begTime,endTime);
    }

    @Override
    @DS(name = DataSourceEnum.SLAVE1)
    public List<Map<String, String>> selectGtjyQuery(String begTime,String endTime) {
        return enterpriseInformationPublicityMapper.selectGtjyQuery(begTime,endTime);
    }

    @Override
    @DS(name = DataSourceEnum.SLAVE1)
    public List<Map<String, String>> selectXzcfQuery(String begTime,String endTime) {
        return enterpriseInformationPublicityMapper.selectXzcfQuery(begTime,endTime);
    }

    @Override
    @DS(name = DataSourceEnum.SLAVE1)
    public List<Map<String, String>> selectXzjlQuery(String begTime,String endTime) {
        return enterpriseInformationPublicityMapper.selectXzjlQuery(begTime,endTime);
    }

    @Override
    @DS(name = DataSourceEnum.SLAVE1)
    public List<Map<String, String>> selectXypjQuery(String begTime,String endTime) {
        return enterpriseInformationPublicityMapper.selectXypjQuery(begTime,endTime);
    }

    @Override
    @DS(name = DataSourceEnum.SLAVE1)
    public List<Map<String, Object>> selectQyxxQuery(Map<String, Object> map) {
        return enterpriseInformationPublicityMapper.selectQyxxQuery(map);
    }

    @Override
    @DS(name = DataSourceEnum.SLAVE1)
    public int selectQyxxCount(Map<String, Object> map) {
        return enterpriseInformationPublicityMapper.selectQyxxCount(map);
    }

    @Override
    @DS(name = DataSourceEnum.SLAVE1)
    public List<Map<String, Object>> selectQyXzcfQuery(String xydm) {
        return enterpriseInformationPublicityMapper.selectQyXzcfQuery(xydm);
    }

    @Override
    @DS(name = DataSourceEnum.SLAVE1)
    public List<Map<String, Object>> selectQyXzjlQuery(String xydm) {
        return enterpriseInformationPublicityMapper.selectQyXzjlQuery(xydm);
    }

    @Override
    @DS(name = DataSourceEnum.SLAVE1)
    public List<Map<String, Object>> selectQyZzzgQuery(String xydm) {
        return enterpriseInformationPublicityMapper.selectQyZzzgQuery(xydm);
    }

    @Override
    @DS(name = DataSourceEnum.SLAVE1)
    public List<Map<String, String>> selectSxxwmdQuery(String begTime,String endTime) {
        return enterpriseInformationPublicityMapper.selectSxxwmdQuery(begTime,endTime);
    }

    @Override
    @DS(name = DataSourceEnum.SLAVE1)
    public List<Map<String, String>> selectLhxyxxQuery(String begTime,String endTime) {
        return enterpriseInformationPublicityMapper.selectLhxyxxQuery(begTime,endTime);
    }

    @Override
    @DS(name = DataSourceEnum.SLAVE1)
    public List<Map<String, Object>> queryPageSxxw(Map<String, Object> map) {
        return enterpriseInformationPublicityMapper.queryPageSxxw(map);
    }

    @Override
    @DS(name = DataSourceEnum.SLAVE1)
    public int countSxxw(Map<String, Object> map) {
        return enterpriseInformationPublicityMapper.countSxxw(map);
    }


    @Override
    @DS(name = DataSourceEnum.SLAVE1)
    public List<Map<String, Object>> queryPageLhxy(Map<String, Object> map) {
        return enterpriseInformationPublicityMapper.queryPageLhxy(map);
    }

    @Override
    @DS(name = DataSourceEnum.SLAVE1)
    public int countLhxy(Map<String, Object> map) {
        return enterpriseInformationPublicityMapper.countLhxy(map);
    }


}
