package com.philisense.www.dao.impl;

import com.philisense.www.dao.EnterpriseNormDAO;
import com.philisense.www.druid.DS;
import com.philisense.www.druid.DataSourceEnum;
import com.philisense.www.mapper.EnterpriseNormMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public class EnterpriseNormDAOImpl implements EnterpriseNormDAO {
    @Autowired
    private EnterpriseNormMapper enterpriseNormMapper;

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public int selectNormCount(Map<String, Object> map) {
        return enterpriseNormMapper.selectNormCount(map);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public List<Map<String, Object>> selectNormList(Map<String, Object> map) {
        return enterpriseNormMapper.selectNormList(map);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public Map<String, Object> selectByPrimaryKey(String id) {
        return enterpriseNormMapper.selectByPrimaryKey(id);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public int update(Map<String, Object> paramsmap) {
        return enterpriseNormMapper.updateNorm(paramsmap);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public int deleteByPrimaryKey(String id) {
        return enterpriseNormMapper.deleteByPrimaryKey(id);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public void insert(Map<String, Object> map) {
        enterpriseNormMapper.insert(map);
    }

    @Override
    @DS(name = DataSourceEnum.SLAVE1)
    public List<Map<String, Object>> selectQyxxList(Map<String, Object> map) {
        return enterpriseNormMapper.selectQyxxList(map);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public Map<String, Object> selectByPrimaryName(String dm) {
        return enterpriseNormMapper.selectByPrimaryName(dm);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public void insertQyxx(Map<String, Object> map) {
        enterpriseNormMapper.insertQyxx(map);
    }
}
