package com.philisense.www.dao.impl;

import com.philisense.www.dao.EnterpriseRelationNetworkDAO;
import com.philisense.www.druid.DS;
import com.philisense.www.druid.DataSourceEnum;
import com.philisense.www.mapper.EnterpriseRelationNetworkMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public class EnterpriseRelationNetworkDAOImpl implements EnterpriseRelationNetworkDAO {

    @Autowired
    private EnterpriseRelationNetworkMapper enterpriseRelationNetworkMapper;

    @Override
    @DS(name = DataSourceEnum.SLAVE1)
    public List<Map<String,Object>> selectChildren(String xydm) {
        return enterpriseRelationNetworkMapper.selectChildren(xydm);
    }

    @Override
    @DS(name = DataSourceEnum.SLAVE1)
    public List<Map<String, Object>> selectParents(String xydm) {
        return enterpriseRelationNetworkMapper.selectParents(xydm);
    }

    @Override
    @DS(name = DataSourceEnum.SLAVE1)
    public List<Map<String, Object>> selectCompetitor(Map<String, String> map) {
        return enterpriseRelationNetworkMapper.selectCompetitor(map);
    }

    @Override
    @DS(name = DataSourceEnum.SLAVE1)
    public List<Map<String, Object>> selectPartner(String xydm) {
        return enterpriseRelationNetworkMapper.selectPartner(xydm);
    }
}
