package com.philisense.www.dao.impl;

import com.philisense.www.dao.EnterpriseWarningDAO;
import com.philisense.www.druid.DS;
import com.philisense.www.druid.DataSourceEnum;
import com.philisense.www.mapper.EnterpriseWarningMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public class EnterpriseWarningDAOImpl implements EnterpriseWarningDAO {

    @Autowired
    private EnterpriseWarningMapper enterpriseWarningMapper;

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public int deleteByPrimaryKey(String id) {
        return enterpriseWarningMapper.deleteByPrimaryKey(id);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public Map<String, Object> selectByPrimaryKey(String id) {
        return enterpriseWarningMapper.selectByPrimaryKey(id);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public int insert(Map<String, Object> map) {
        return enterpriseWarningMapper.insert(map);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public int update(Map<String, Object> map) {
        return enterpriseWarningMapper.update(map);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public int deleteByMap(Map<String, Object> map) {
        return enterpriseWarningMapper.deleteByMap(map);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public int updateByMap(Map<String, Object> map) {
        return enterpriseWarningMapper.updateByMap(map);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public Map<String, Object> getOne(Map<String, Object> map) {
        return enterpriseWarningMapper.getOne(map);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public List<Map<String, Object>> getAll(Map<String, Object> map) {
        return enterpriseWarningMapper.getAll(map);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public List<Map<String, Object>> queryPage(Map<String, Object> map) {
        return enterpriseWarningMapper.queryPage(map);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public int count(Map<String, Object> map) {
        return enterpriseWarningMapper.count(map);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public void insertBatch(List<Map<String, Object>> list) {
        enterpriseWarningMapper.insertBatch(list);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public void deleteBatch(List<Map<String, Object>> list) {
        enterpriseWarningMapper.deleteBatch(list);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public void updateBatch(List<Map<String, Object>> list) {
        enterpriseWarningMapper.updateBatch(list);
    }

    @Override
    @DS(name = DataSourceEnum.SLAVE4)
    public List<Map<String, Object>> selectQyWarnList(Map<String, Object> map) {
        return enterpriseWarningMapper.selectQyWarnList(map);
    }

    @Override
    @DS(name = DataSourceEnum.SLAVE4)
    public int selectQyWarnCount(Map<String, Object> map) {
        return enterpriseWarningMapper.selectQyWarnCount(map);
    }

    @Override
    @DS(name = DataSourceEnum.SLAVE4)
    public List<Map<String, Object>> selectQyWarnNumber(Map<String, Object> map) {
        return enterpriseWarningMapper.selectQyWarnNumber(map);
    }

    @Override
    @DS(name = DataSourceEnum.SLAVE4)
    public List<Map<String, Object>> selectQyWarnBar(Map<String, Object> map) {
        return enterpriseWarningMapper.selectQyWarnBar(map);
    }

    @Override
    @DS(name = DataSourceEnum.SLAVE4)
    public List<Map<String, Object>> selectQyWarnPie(Map<String, Object> map) {
        return enterpriseWarningMapper.selectQyWarnPie(map);
    }
}
