package com.philisense.www.dao.impl;

import com.philisense.www.dao.ExponentialAlgorithmDAO;
import com.philisense.www.druid.DS;
import com.philisense.www.druid.DataSourceEnum;
import com.philisense.www.mapper.ExponentialAlgorithmMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public class ExponentialAlgorithmDAOImpl implements ExponentialAlgorithmDAO {

    @Autowired
    private ExponentialAlgorithmMapper exponentialAlgorithmMapper;

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public int deleteByPrimaryKey(String id) {
        return exponentialAlgorithmMapper.deleteByPrimaryKey(id);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public Map<String, Object> selectByPrimaryKey(String id) {
        return exponentialAlgorithmMapper.selectByPrimaryKey(id);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public int insert(Map<String, Object> map) {
        return exponentialAlgorithmMapper.insert(map);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public int update(Map<String, Object> map) {
        return exponentialAlgorithmMapper.update(map);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public int deleteByMap(Map<String, Object> map) {
        return exponentialAlgorithmMapper.deleteByMap(map);
    }

    @Override
    public int updateByMap(Map<String, Object> map) {
        return exponentialAlgorithmMapper.updateByMap(map);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public Map<String, Object> getOne(Map<String, Object> map) {
        return exponentialAlgorithmMapper.getOne(map);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public List<Map<String, Object>> getAll(Map<String, Object> map) {
        return exponentialAlgorithmMapper.getAll(map);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public List<Map<String, Object>> queryPage(Map<String, Object> map) {
        return exponentialAlgorithmMapper.queryPage(map);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public int count(Map<String, Object> map) {
        return exponentialAlgorithmMapper.count(map);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public void insertBatch(List<Map<String, Object>> list) {
        exponentialAlgorithmMapper.insertBatch(list);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public void deleteBatch(List<Map<String, Object>> list) {
        exponentialAlgorithmMapper.deleteBatch(list);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public void updateBatch(List<Map<String, Object>> list) {
        exponentialAlgorithmMapper.updateBatch(list);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public List<Map<String, Object>> selectExponentialAlgorithm(Map<String, Object> map) {
        return exponentialAlgorithmMapper.selectExponentialAlgorithm(map);
    }

    @Override
    @DS(name = DataSourceEnum.SLAVE1)
    public int xzcfCount(Map<String, Object> map) {
        return exponentialAlgorithmMapper.xzcfCount(map);
    }

    @Override
    @DS(name = DataSourceEnum.SLAVE1)
    public int xzjlCount(Map<String, Object> map) {
        return exponentialAlgorithmMapper.xzjlCount(map);
    }

    @Override
    @DS(name = DataSourceEnum.SLAVE1)
    public int sxxwCount(Map<String, Object> map) {
        return exponentialAlgorithmMapper.sxxwCount(map);
    }
}
