package com.philisense.www.dao.impl;

import com.philisense.www.dao.LabelManageDAO;
import com.philisense.www.druid.DS;
import com.philisense.www.druid.DataSourceEnum;
import com.philisense.www.mapper.LabelManageMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public class LabelManageDAOImpl implements LabelManageDAO {

    @Autowired
    private LabelManageMapper labelManageMapper;

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public int deleteByPrimaryKey(String id) {
        return labelManageMapper.deleteByPrimaryKey(id);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public Map<String, Object> selectByPrimaryKey(String id) {
        return labelManageMapper.selectByPrimaryKey(id);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public int insert(Map<String, Object> map) {
        return labelManageMapper.insert(map);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public int update(Map<String, Object> map) {
        return labelManageMapper.update(map);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public int deleteByMap(Map<String, Object> map) {
        return labelManageMapper.deleteByMap(map);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public int updateByMap(Map<String, Object> map) {
        return labelManageMapper.updateByMap(map);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public Map<String, Object> getOne(Map<String, Object> map) {
        return labelManageMapper.getOne(map);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public List<Map<String, Object>> getAll(Map<String, Object> map) {
        return labelManageMapper.getAll(map);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public List<Map<String, Object>> queryPage(Map<String, Object> map) {
        return labelManageMapper.queryPage(map);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public int count(Map<String, Object> map) {
        return labelManageMapper.count(map);
    }

    @Override
    public void insertBatch(List<Map<String, Object>> list) {
        labelManageMapper.insertBatch(list);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public void deleteBatch(List<Map<String, Object>> list) {
        labelManageMapper.deleteBatch(list);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public void updateBatch(List<Map<String, Object>> list) {
        labelManageMapper.updateBatch(list);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public int updateAncestors(Map<String, Object> map) {
        return labelManageMapper.updateAncestors(map);
    }

    @Override
    @DS(name = DataSourceEnum.SLAVE1)
    public int sxbzxrmdxxCount(Map<String, Object> map) {
        return labelManageMapper.sxbzxrmdxxCount(map);
    }

    @Override
    @DS(name = DataSourceEnum.SLAVE1)
    public int xzxkxxCount(Map<String, Object> map) {
        return labelManageMapper.xzxkxxCount(map);
    }

    @Override
    @DS(name = DataSourceEnum.SLAVE1)
    public int xzcfxxCount(Map<String, Object> map) {
        return labelManageMapper.xzcfxxCount(map);
    }

}
