package com.philisense.www.dao.impl;

import com.philisense.www.dao.SysMenuDAO;
import com.philisense.www.druid.DS;
import com.philisense.www.druid.DataSourceEnum;
import com.philisense.www.dtos.DaSysMenu;
import com.philisense.www.mapper.SysMenuMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Pageable;
import org.springframework.stereotype.Repository;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.PageRequest;

import java.util.List;
import java.util.Map;

/**
 * 信用主题分类目录表(DaSysMenu)表服务实现类
 *
 * @author makejava
 * @since 2022-06-21 18:46:47
 */
@Repository
public class SysMenuDAOImpl implements SysMenuDAO {

    @Autowired
    private SysMenuMapper sysMenuMapper;


    @Override
    @DS(name = DataSourceEnum.SLAVE3)
    public List<Map<String, Object>> getProMenuTreeByLevelCode(Map<String, Object> map) {
        return sysMenuMapper.getProMenuTreeByLevelCode(map);
    }

    @Override
    @DS(name = DataSourceEnum.SLAVE1)
    public List<Map<String, Object>> showDatabases() {
        return sysMenuMapper.showDatabases();
    }

    @Override
    @DS(name = DataSourceEnum.SLAVE1)
    public List<Map<String, Object>> getTableData(String map) {
        return sysMenuMapper.getTableData(map);
    }

    @Override
    @DS(name = DataSourceEnum.SLAVE1)
    public List<Map<String, Object>> getTableColumn(String tableName) {
        return sysMenuMapper.getTableColumn(tableName);
    }

    @Override
    @DS(name = DataSourceEnum.SLAVE4)
    public List<Map<String, Object>> getMenuData(String menuName) {
        return sysMenuMapper.getMenuData(menuName);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public void cancleApprove(String menuId) {
        sysMenuMapper.cancleApprove(menuId);
    }
}
