package com.philisense.www.dao.impl;

import com.philisense.www.dao.SysMenuDetailDAO;
import com.philisense.www.druid.DS;
import com.philisense.www.druid.DataSourceEnum;
import com.philisense.www.dtos.DaSysMenuDetail;
import com.philisense.www.mapper.SysMenuDetailMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Pageable;
import org.springframework.stereotype.Repository;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.PageRequest;

import java.util.List;

/**
 * 信用目录详情
(DaSysMenuDetail)表服务实现类
 *
 * @author makejava
 * @since 2022-06-21 18:46:48
 */
@Repository
public class SysMenuDetailDAOImpl implements SysMenuDetailDAO {

    @Autowired
    private SysMenuDetailMapper sysMenuDetailMapper;

    /**
     * 通过ID查询单条数据
     *
     * @param menuId 主键
     * @return 实例对象
     */
    @Override
    @DS(name = DataSourceEnum.MASTER)
    public DaSysMenuDetail queryById(String menuId) {
        return this.sysMenuDetailMapper.queryById(menuId);
    }

    /**
     * 分页查询
     *
     * @param daSysMenuDetail 筛选条件
     * @param pageRequest      分页对象
     * @return 查询结果
     */
    @Override
    @DS(name = DataSourceEnum.MASTER)
    public Page<DaSysMenuDetail> queryByPage(DaSysMenuDetail daSysMenuDetail, PageRequest pageRequest) {
        long total = this.sysMenuDetailMapper.count(daSysMenuDetail);
        return new PageImpl<>(this.sysMenuDetailMapper.queryAllByLimit(daSysMenuDetail, pageRequest), pageRequest, total);
    }

    /**
     * 新增数据
     *
     * @param daSysMenuDetail 实例对象
     * @return 实例对象
     */
    @Override
    @DS(name = DataSourceEnum.MASTER)
    public DaSysMenuDetail insert(DaSysMenuDetail daSysMenuDetail) {
        this.sysMenuDetailMapper.insert(daSysMenuDetail);
        return daSysMenuDetail;
    }

    /**
     * 修改数据
     *
     * @param daSysMenuDetail 实例对象
     * @return 实例对象
     */
    @Override
    @DS(name = DataSourceEnum.MASTER)
    public DaSysMenuDetail update(DaSysMenuDetail daSysMenuDetail) {
        this.sysMenuDetailMapper.update(daSysMenuDetail);
        return this.queryById(daSysMenuDetail.getMenuId());
    }

    /**
     * 通过主键删除数据
     *
     * @param menuId 主键
     * @return 是否成功
     */
    @Override
    @DS(name = DataSourceEnum.MASTER)
    public boolean deleteById(String menuId) {
        return this.sysMenuDetailMapper.deleteById(menuId) > 0;
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public List<DaSysMenuDetail> queryAllByLimit(DaSysMenuDetail daSysMenuDetail, Pageable pageable) {
        return this.sysMenuDetailMapper.queryAllByLimit(daSysMenuDetail, pageable);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public long count(DaSysMenuDetail daSysMenuDetail) {
        return this.sysMenuDetailMapper.count(daSysMenuDetail);
    }


}
