package com.philisense.www.dao.impl;

import com.philisense.www.dao.UserMenuApplyDAO;
import com.philisense.www.druid.DS;
import com.philisense.www.druid.DataSourceEnum;
import com.philisense.www.dtos.DaUserMenu;
import com.philisense.www.mapper.UserMenuApplyMapper;
import com.philisense.www.mapper.UserMenuApproveMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.PageRequest;
import org.springframework.data.domain.Pageable;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * (DaUserMenu)表服务实现类
 *
 * @author makejava
 * @since 2022-06-21 18:46:48
 */
@Repository
public class UserMenuApplyDAOImpl implements UserMenuApplyDAO {

    @Autowired
    private UserMenuApplyMapper userMenuMapper;

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    @Override
    @DS(name = DataSourceEnum.MASTER)
    public DaUserMenu queryById(Integer id) {
        return this.userMenuMapper.queryById(id);
    }

    /**
     * 分页查询
     *
     * @param daUserMenu 筛选条件
     * @param pageRequest      分页对象
     * @return 查询结果
     */
    @Override
    @DS(name = DataSourceEnum.MASTER)
    public Page<DaUserMenu> queryByPage(DaUserMenu daUserMenu, PageRequest pageRequest) {
        long total = this.userMenuMapper.count(daUserMenu);
        return new PageImpl<>(this.userMenuMapper.queryAllByLimit(daUserMenu, pageRequest), pageRequest, total);
    }

    /**
     * 新增数据
     *
     * @param daUserMenu 实例对象
     * @return 实例对象
     */
    @Override
    @DS(name = DataSourceEnum.MASTER)
    public DaUserMenu insert(DaUserMenu daUserMenu) {
        this.userMenuMapper.insert(daUserMenu);
        return daUserMenu;
    }

    /**
     * 修改数据
     *
     * @param daUserMenu 实例对象
     * @return 实例对象
     */
    @Override
    @DS(name = DataSourceEnum.MASTER)
    public DaUserMenu update(DaUserMenu daUserMenu) {
        this.userMenuMapper.update(daUserMenu);
        return this.queryById(daUserMenu.getId());
    }

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    @Override
    @DS(name = DataSourceEnum.MASTER)
    public boolean deleteById(Integer id) {
        return this.userMenuMapper.deleteById(id) > 0;
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public long count(DaUserMenu daUserMenu) {
        return this.userMenuMapper.count(daUserMenu);
    }

    @Override
    @DS(name = DataSourceEnum.MASTER)
    public List<DaUserMenu> queryAllByLimit(DaUserMenu daUserMenu, Pageable pageable) {
        return this.userMenuMapper.queryAllByLimit(daUserMenu,pageable);
    }

    @Override
    @DS(name = DataSourceEnum.SLAVE4)
    public List<Map<String, Object>> selectApplyDictory(String menuName, String userName, String sign) {
        return this.userMenuMapper.selectApplyDictory(menuName, userName, sign);
    }
}
