package com.philisense.www.druid;

import com.philisense.www.dynamic.druid.conf.DynamicDataSource;
import com.philisense.www.dynamic.druid.conf.DynamicDataSourceContextHolder;
import com.philisense.www.dynamic.druid.conf.DynamicDruidDataSourceTypeEnum;
import org.aspectj.lang.ProceedingJoinPoint;
import org.aspectj.lang.annotation.Around;
import org.aspectj.lang.annotation.Aspect;
import org.aspectj.lang.reflect.MethodSignature;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.core.annotation.Order;
import org.springframework.stereotype.Component;

import java.lang.reflect.Method;

@Aspect
@Component
@Order(-1)
public class DataSourceAspect {

    @Around("@annotation(com.philisense.www.druid.DS)")
    public Object around(ProceedingJoinPoint point) throws Throwable{
        MethodSignature signature = (MethodSignature)point.getSignature();
        Method method = signature.getMethod();
        DS ds = method.getAnnotation(DS.class);
        if(ds.name() == null || ds.name().equals(DataSourceEnum.MASTER)){
            DynamicDataSourceContextHolder.setDataSourceType(DynamicDruidDataSourceTypeEnum.MASTER);
        }else if (ds.name().equals(DataSourceEnum.SLAVE1)){
            DynamicDataSourceContextHolder.setDataSourceType(DynamicDruidDataSourceTypeEnum.SLAVE1);
        }else if (ds.name().equals(DataSourceEnum.SLAVE2)){
            DynamicDataSourceContextHolder.setDataSourceType(DynamicDruidDataSourceTypeEnum.SLAVE2);
        }else if (ds.name().equals(DataSourceEnum.SLAVE3)){
            DynamicDataSourceContextHolder.setDataSourceType(DynamicDruidDataSourceTypeEnum.SLAVE3);
        }else if (ds.name().equals(DataSourceEnum.SLAVE4)){
            DynamicDataSourceContextHolder.setDataSourceType(DynamicDruidDataSourceTypeEnum.SLAVE4);
        }


        try {
            return point.proceed();
        } finally {
            System.out.println(Thread.currentThread().getName() + "： remove dataSource");
        }
    }

}
