package com.philisense.www.mapper;


import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;


@Mapper
public interface EnterpriseInformationPublicityMapper extends BaseCRUDMapper{

    public int deleteByPrimaryKey(String id);

    public Map<String, Object> selectByPrimaryKey(String id);

    public int insert(Map<String, Object> map);

    public int update(Map<String, Object> map);

    public int deleteByMap(Map<String, Object> map);

    public int updateByMap(Map<String, Object> map);

    public Map<String, Object> getOne(Map<String, Object> map);

    public List<Map<String, Object>> getAll(Map<String, Object> map);

    public List<Map<String, Object>> queryPage(Map<String, Object> map);

    public int count(Map<String, Object> map);

    public void insertBatch(List<Map<String, Object>> list);

    public void deleteBatch(List<Map<String, Object>> list);

    public void updateBatch(List<Map<String, Object>> list);

    //失信事件
    List<Map<String, String>> selectSxsjQuery(@Param("begTime")String begTime,@Param("endTime")String endTime);

    //企业异常
    List<Map<String, String>> selectQyycQuery(@Param("begTime")String begTime,@Param("endTime")String endTime);

    //个体经营
    List<Map<String, String>> selectGtjyQuery(@Param("begTime")String begTime,@Param("endTime")String endTime);

    //行政处罚
    List<Map<String, String>> selectXzcfQuery(@Param("begTime")String begTime,@Param("endTime")String endTime);

    //行政奖励
    List<Map<String, String>> selectXzjlQuery(@Param("begTime")String begTime,@Param("endTime")String endTime);

    //信用评价
    List<Map<String, String>> selectXypjQuery(@Param("begTime")String begTime,@Param("endTime")String endTime);

    //企业详情
    public List<Map<String, Object>> selectQyxxQuery(Map<String, Object> map);

    public int selectQyxxCount(Map<String, Object> map);

    //企业列表 -> 行政处罚 行政奖励 资质资格
    List<Map<String, Object>> selectQyXzcfQuery(@Param("xydm")String xydm);

    //企业列表 -> 行政处罚 行政奖励 资质资格
    List<Map<String, Object>> selectQyXzjlQuery(@Param("xydm")String xydm);

    //企业列表 -> 行政处罚 行政奖励 资质资格
    List<Map<String, Object>> selectQyZzzgQuery(@Param("xydm")String xydm);

    //失信行为名单
    List<Map<String, String>> selectSxxwmdQuery(@Param("begTime")String begTime,@Param("endTime")String endTime);

    //良好信用信息
    List<Map<String, String>> selectLhxyxxQuery(@Param("begTime")String begTime,@Param("endTime")String endTime);


    //失信行为名单 - 分页显示
    List<Map<String, Object>> queryPageSxxw(Map<String, Object> map);

    int countSxxw(Map<String, Object> map);

    //良好信用信息 - 分页显示
    List<Map<String, Object>> queryPageLhxy(Map<String, Object> map);

    int countLhxy(Map<String, Object> map);

}
