package com.philisense.www.mapper;

import com.philisense.www.dtos.DaSysMenuDetail;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.data.domain.Pageable;
import java.util.List;

/**
 * 信用目录详情
(DaSysMenuDetail)表数据库访问层
 *
 * @author makejava
 * @since 2022-06-21 18:46:48
 */
@Mapper
public interface SysMenuDetailMapper {

    /**
     * 通过ID查询单条数据
     *
     * @param menuId 主键
     * @return 实例对象
     */
    DaSysMenuDetail queryById(String menuId);

    /**
     * 查询指定行数据
     *
     * @param daSysMenuDetail 查询条件
     * @param pageable         分页对象
     * @return 对象列表
     */
    List<DaSysMenuDetail> queryAllByLimit(DaSysMenuDetail daSysMenuDetail, @Param("pageable") Pageable pageable);

    /**
     * 统计总行数
     *
     * @param daSysMenuDetail 查询条件
     * @return 总行数
     */
    long count(DaSysMenuDetail daSysMenuDetail);

    /**
     * 新增数据
     *
     * @param daSysMenuDetail 实例对象
     * @return 影响行数
     */
    int insert(DaSysMenuDetail daSysMenuDetail);

    /**
     * 批量新增数据（MyBatis原生foreach方法）
     *
     * @param entities List<DaSysMenuDetail> 实例对象列表
     * @return 影响行数
     */
    int insertBatch(@Param("entities") List<DaSysMenuDetail> entities);

    /**
     * 批量新增或按主键更新数据（MyBatis原生foreach方法）
     *
     * @param entities List<DaSysMenuDetail> 实例对象列表
     * @return 影响行数
     * @throws org.springframework.jdbc.BadSqlGrammarException 入参是空List的时候会抛SQL语句错误的异常，请自行校验入参
     */
    int insertOrUpdateBatch(@Param("entities") List<DaSysMenuDetail> entities);

    /**
     * 修改数据
     *
     * @param daSysMenuDetail 实例对象
     * @return 影响行数
     */
    int update(DaSysMenuDetail daSysMenuDetail);

    /**
     * 通过主键删除数据
     *
     * @param menuId 主键
     * @return 影响行数
     */
    int deleteById(String menuId);

}

