package com.philisense.www.mapper;

import com.philisense.www.dtos.DaUserMenu;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.data.domain.Pageable;

import java.util.List;
import java.util.Map;

/**
 * (DaUserMenu)表数据库访问层
 *
 * @author makejava
 * @since 2022-06-21 18:46:48
 */
@Mapper
public interface UserMenuApplyMapper {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    DaUserMenu queryById(Integer id);

    /**
     * 查询指定行数据
     *
     * @param daUserMenu 查询条件
     * @param pageable         分页对象
     * @return 对象列表
     */
    List<DaUserMenu> queryAllByLimit(DaUserMenu daUserMenu, @Param("pageable") Pageable pageable);

    /**
     * 统计总行数
     *
     * @param daUserMenu 查询条件
     * @return 总行数
     */
    long count(DaUserMenu daUserMenu);

    /**
     * 新增数据
     *
     * @param daUserMenu 实例对象
     * @return 影响行数
     */
    int insert(DaUserMenu daUserMenu);

    /**
     * 批量新增数据（MyBatis原生foreach方法）
     *
     * @param entities List<DaUserMenu> 实例对象列表
     * @return 影响行数
     */
    int insertBatch(@Param("entities") List<DaUserMenu> entities);

    /**
     * 批量新增或按主键更新数据（MyBatis原生foreach方法）
     *
     * @param entities List<DaUserMenu> 实例对象列表
     * @return 影响行数
     * @throws org.springframework.jdbc.BadSqlGrammarException 入参是空List的时候会抛SQL语句错误的异常，请自行校验入参
     */
    int insertOrUpdateBatch(@Param("entities") List<DaUserMenu> entities);

    /**
     * 修改数据
     *
     * @param daUserMenu 实例对象
     * @return 影响行数
     */
    int update(DaUserMenu daUserMenu);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 影响行数
     */
    int deleteById(Integer id);

    List<Map<String, Object>> selectApplyDictory(@Param("menuName") String menuName,
                                                 @Param("userName") String userName,
                                                 @Param("sign") String sign);

}

