package com.philisense.www.service;

import com.philisense.www.dtos.DaSysMenuDetail;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.data.domain.Pageable;

import java.util.List;

/**
 * 信用目录详情
(DaSysMenuDetail)表服务接口
 *
 * @author makejava
 * @since 2022-06-21 18:46:48
 */
public interface SysMenuDetailService {

    /**
     * 通过ID查询单条数据
     *
     * @param menuId 主键
     * @return 实例对象
     */
    DaSysMenuDetail queryById(String menuId);

    /**
     * 分页查询
     *
     * @param daSysMenuDetail 筛选条件
     * @param pageRequest      分页对象
     * @return 查询结果
     */
    Page<DaSysMenuDetail> queryByPage(DaSysMenuDetail daSysMenuDetail, PageRequest pageRequest);

    /**
     * 新增数据
     *
     * @param daSysMenuDetail 实例对象
     * @return 实例对象
     */
    DaSysMenuDetail insert(DaSysMenuDetail daSysMenuDetail);

    /**
     * 修改数据
     *
     * @param daSysMenuDetail 实例对象
     * @return 实例对象
     */
    DaSysMenuDetail update(DaSysMenuDetail daSysMenuDetail);

    /**
     * 通过主键删除数据
     *
     * @param menuId 主键
     * @return 是否成功
     */
    boolean deleteById(String menuId);

    List<DaSysMenuDetail> queryAllByLimit(DaSysMenuDetail daSysMenuDetail, Pageable pageable);

    long count(DaSysMenuDetail daSysMenuDetail);


}
