package com.philisense.www.service;

import com.philisense.www.dtos.DaUserMenu;
import org.apache.ibatis.annotations.Param;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.data.domain.Pageable;

import java.util.List;
import java.util.Map;

/**
 * (DaUserMenu)表服务接口
 *
 * @author makejava
 * @since 2022-06-21 18:46:48
 */
public interface UserMenuApplyService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    DaUserMenu queryById(Integer id);

    /**
     * 分页查询
     *
     * @param daUserMenu 筛选条件
     * @param pageRequest      分页对象
     * @return 查询结果
     */
    Page<DaUserMenu> queryByPage(DaUserMenu daUserMenu, PageRequest pageRequest);

    /**
     * 新增数据
     *
     * @param daUserMenu 实例对象
     * @return 实例对象
     */
    DaUserMenu insert(DaUserMenu daUserMenu);

    /**
     * 修改数据
     *
     * @param daUserMenu 实例对象
     * @return 实例对象
     */
    DaUserMenu update(DaUserMenu daUserMenu);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Integer id);

    /**
     * 查询指定行数据
     *
     * @param daUserMenu 查询条件
     * @param pageable         分页对象
     * @return 对象列表
     */
    List<DaUserMenu> queryAllByLimit(DaUserMenu daUserMenu, Pageable pageable);

    /**
     * 统计总行数
     *
     * @param daUserMenu 查询条件
     * @return 总行数
     */
    long count(DaUserMenu daUserMenu);

    List<Map<String, Object>> selectApplyDictory(String menuName,
                                                 String userName,
                                                 String sign);

}
