package com.philisense.www.service.impl;

import com.philisense.www.dao.BigDataAnalysisServiceDAO;
import com.philisense.www.dao.DataAnalysisChartDAO;
import com.philisense.www.service.BigDataAnalysisService;
import com.philisense.www.utils.Calculate;
import com.philisense.www.utils.DateTimeUtils;
import com.philisense.www.utils.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.*;
import java.util.stream.Collectors;

@Service
public class BigDataAnalysisServiceImpl implements BigDataAnalysisService {

    @Autowired
    private BigDataAnalysisServiceDAO bigDataAnalysisServiceDAO;

    @Override
    public Map<String, Object> selectLnhysxtj(Map<String, String> mapList) {

        //当年时间
        Date  dangYearFirst ;
        Date  dangYearLast;
        //去年时间
        Date   quYearFirst ;
        Date   quYearLast ;
        //前年时间
        Date  qianYearFirst ;
        Date  qianYearLast ;
        if (StringUtils.isNotEmpty(mapList.get("time"))){
            Integer time = Integer.parseInt(mapList.get("time"));
            dangYearFirst = DateTimeUtils.getYearFirst(time);
            dangYearLast = DateTimeUtils.getYearLast(time);

            quYearFirst = DateTimeUtils.getQuYearFirst(dangYearFirst);
            quYearLast = DateTimeUtils.getQuYearLast(dangYearLast);
            //前年时间
            qianYearFirst = DateTimeUtils.getQuYearFirst(quYearFirst);
            qianYearLast = DateTimeUtils.getQuYearLast(quYearLast);
        }else {
            //当年时间
              dangYearFirst = DateTimeUtils.getDangYearFirst();
              dangYearLast = DateTimeUtils.getDangYearLast();
            //去年时间
               quYearFirst = DateTimeUtils.getQuYearFirst(dangYearFirst);
               quYearLast = DateTimeUtils.getQuYearLast(dangYearLast);
            //前年时间
              qianYearFirst = DateTimeUtils.getQuYearFirst(quYearFirst);
              qianYearLast = DateTimeUtils.getQuYearLast(quYearLast);
        }

        //当年行业统计
        List<Map<String, String>> dangYearHyqy = bigDataAnalysisServiceDAO.selectLnhysxtj(dangYearFirst,dangYearLast);
         ArrayList<Object> dangYearhyMapList = getHyMapList(dangYearHyqy);
        //去年行业统计
        List<Map<String, String>> quYearHyqy = bigDataAnalysisServiceDAO.selectLnhysxtj(quYearFirst,quYearLast);
        ArrayList<Object> quYearhyMapList = getHyMapList(quYearHyqy);
        //前年行业统计
        List<Map<String, String>> qianYearHyqy = bigDataAnalysisServiceDAO.selectLnhysxtj(qianYearFirst,qianYearLast);
        ArrayList<Object> qianYearhyMapList = getHyMapList(qianYearHyqy);
        //历年行业数据
        List<Map<String, Object>> listHy = getMapList(dangYearFirst, quYearFirst, qianYearFirst, dangYearhyMapList, quYearhyMapList, qianYearhyMapList);

        List<Map<String, Object>> listMc = getMapsMc(dangYearhyMapList, quYearhyMapList, qianYearhyMapList);

        Map<String, Object> map= new HashMap<>();
        map.put("listHy",listHy);
        map.put("listHyMc",listMc);

        //历年地区失信统计 人和企业 当年
        List<Map<String, String>> dangYearsxry = bigDataAnalysisServiceDAO.selectLndqsxtj(dangYearFirst, dangYearLast);
        ArrayList<Object> dangYearDqMapList = getqysxMapList(dangYearHyqy, dangYearsxry);
        //去年
        List<Map<String, String>> quYearsxry = bigDataAnalysisServiceDAO.selectLndqsxtj(quYearFirst, quYearLast);
        ArrayList<Object> quYearDqMapList = getqysxMapList(quYearHyqy, quYearsxry);
        //前年
        List<Map<String, String>> qianYearsxry = bigDataAnalysisServiceDAO.selectLndqsxtj(qianYearFirst, qianYearLast);
        ArrayList<Object> qianYearDqMapList = getqysxMapList(qianYearHyqy, qianYearsxry);
        //历年地区
        List<Map<String, Object>> listdq = getMapList(dangYearFirst, quYearFirst, qianYearFirst, dangYearDqMapList, quYearDqMapList, qianYearDqMapList);
        List<Map<String, Object>> listDqMc = getMapsDqMc(dangYearDqMapList, quYearDqMapList, qianYearDqMapList);
        map.put("listDq",listdq);
        map.put("listDqMc",listDqMc);
        return map;

    }

    private List<Map<String, Object>> getMapList(Date dangYearFirst, Date quYearFirst, Date qianYearFirst, ArrayList<Object> dangYearhyMapList, ArrayList<Object> quYearhyMapList, ArrayList<Object> qianYearhyMapList) {
        List<Map<String, Object>> listHy =new ArrayList<>();
        Map<String, Object> dangYearHyMap =new HashMap<>();
        Map<String, Object> quYearHyMap =new HashMap<>();
        Map<String, Object> QianYearHyMap =new HashMap<>();
        dangYearHyMap.put("name",DateTimeUtils.getYear(dangYearFirst)+"年失信数量");
        dangYearHyMap.put("value", dangYearhyMapList);
        quYearHyMap.put("name",DateTimeUtils.getYear(quYearFirst)+"年失信数量");
        quYearHyMap.put("value", quYearhyMapList);
        QianYearHyMap.put("name",DateTimeUtils.getYear(qianYearFirst)+"年失信数量");
        QianYearHyMap.put("value", qianYearhyMapList);
        listHy.add(dangYearHyMap);
        listHy.add(quYearHyMap);
        listHy.add(QianYearHyMap);
        return listHy;
    }

    private List<Map<String, Object>> getMapsDqMc(ArrayList<Object> dangYearDqMapList, ArrayList<Object> quYearDqMapList, ArrayList<Object> qianYearDqMapList) {
        List<Map<String, Object>> list =new ArrayList<>();
        Map<String, Object> mapnlss =new HashMap<>();
        mapnlss.put("name","拉萨市");
        mapnlss.put("max", Calculate.getMax((int) dangYearDqMapList.get(0),(int) quYearDqMapList.get(0),(int) qianYearDqMapList.get(0)));
        list.add(mapnlss);
        Map<String, Object> mapsns =new HashMap<>();
        mapsns.put("name","山南市");
        mapsns.put("max",Calculate.getMax((int) dangYearDqMapList.get(1),(int) quYearDqMapList.get(1),(int) qianYearDqMapList.get(1)));
        list.add(mapsns);
        Map<String, Object> maprkzs=new HashMap<>();
        maprkzs.put("name","日喀则市");
        maprkzs.put("max",Calculate.getMax((int) dangYearDqMapList.get(2),(int) quYearDqMapList.get(2),(int) qianYearDqMapList.get(2)));
        list.add(maprkzs);
        Map<String, Object> mapnqs=new HashMap<>();
        mapnqs.put("name","那曲市");
        mapnqs.put("max",Calculate.getMax((int) dangYearDqMapList.get(3),(int) quYearDqMapList.get(3),(int) qianYearDqMapList.get(3)));
        list.add(mapnqs);
        Map<String, Object> mapaldq=new HashMap<>();
        mapaldq.put("name","阿里地区");
        mapaldq.put("max",Calculate.getMax((int) dangYearDqMapList.get(4),(int) quYearDqMapList.get(4),(int) qianYearDqMapList.get(4)));
        list.add(mapaldq);
        Map<String, Object> mapcds=new HashMap<>();
        mapcds.put("name","昌都市");
        mapcds.put("max",Calculate.getMax((int) dangYearDqMapList.get(5),(int) quYearDqMapList.get(5),(int) qianYearDqMapList.get(5)));
        list.add(mapcds);
        Map<String, Object> maplzs=new HashMap<>();
        maplzs.put("name","林芝市");
        maplzs.put("max",Calculate.getMax((int) dangYearDqMapList.get(6),(int) quYearDqMapList.get(6),(int) qianYearDqMapList.get(6)));
        list.add(maplzs);

        return list;
    }

    private List<Map<String, Object>> getMapsMc(ArrayList<Object> dangYearhyMapList, ArrayList<Object> quYearhyMapList, ArrayList<Object> qianYearhyMapList) {
        List<Map<String, Object>> list =new ArrayList<>();
        Map<String, Object> mapnlmyy =new HashMap<>();
        mapnlmyy.put("name","农、林,牧,渔业");
        mapnlmyy.put("max",Calculate.getMax((int) dangYearhyMapList.get(0),(int) quYearhyMapList.get(0),(int) qianYearhyMapList.get(0)));
        list.add(mapnlmyy);
        Map<String, Object> mapncky =new HashMap<>();
        mapncky.put("name","采矿业");
        mapncky.put("max",Calculate.getMax((int) dangYearhyMapList.get(1),(int) quYearhyMapList.get(1),(int) qianYearhyMapList.get(1)));
        list.add(mapncky);
        Map<String, Object> mapnzzy=new HashMap<>();
        mapnzzy.put("name","制造业");
        mapnzzy.put("max",Calculate.getMax((int) dangYearhyMapList.get(2),(int) quYearhyMapList.get(2),(int) qianYearhyMapList.get(2)));
        list.add(mapnzzy);
        Map<String, Object> mapndlrlrqjsschgyy=new HashMap<>();
        mapndlrlrqjsschgyy.put("name","电力、热力、燃气及水生产和供应业");
        mapndlrlrqjsschgyy.put("max",Calculate.getMax((int) dangYearhyMapList.get(3),(int) quYearhyMapList.get(3),(int) qianYearhyMapList.get(3)));
        list.add(mapndlrlrqjsschgyy);
        Map<String, Object> mapjzy=new HashMap<>();
        mapjzy.put("name","建筑业");
        mapjzy.put("max",Calculate.getMax((int) dangYearhyMapList.get(4),(int) quYearhyMapList.get(4),(int) qianYearhyMapList.get(4)));
        list.add(mapjzy);
        Map<String, Object> mappfhls=new HashMap<>();
        mappfhls.put("name","批发和零售");
        mappfhls.put("max",Calculate.getMax((int) dangYearhyMapList.get(5),(int) quYearhyMapList.get(5),(int) qianYearhyMapList.get(5)));
        list.add(mappfhls);
        Map<String, Object> mapjtysckhyzy=new HashMap<>();
        mapjtysckhyzy.put("name","交通运输、仓储和邮政业");
        mapjtysckhyzy.put("max",Calculate.getMax((int) dangYearhyMapList.get(6),(int) quYearhyMapList.get(6),(int) qianYearhyMapList.get(6)));
        list.add(mapjtysckhyzy);
        Map<String, Object> mapzshcyy=new HashMap<>();
        mapzshcyy.put("name","住宿和餐饮业");
        mapzshcyy.put("max",Calculate.getMax((int) dangYearhyMapList.get(7),(int) quYearhyMapList.get(7),(int) qianYearhyMapList.get(7)));
        list.add(mapzshcyy);
        Map<String, Object> mapxxcsrjhxxjsfwy=new HashMap<>();
        mapxxcsrjhxxjsfwy.put("name","信息传输、软件和信息技术服务业");
        mapxxcsrjhxxjsfwy.put("max",Calculate.getMax((int) dangYearhyMapList.get(8),(int) quYearhyMapList.get(8),(int) qianYearhyMapList.get(8)));
        list.add(mapxxcsrjhxxjsfwy);
        Map<String, Object> mapjry=new HashMap<>();
        mapjry.put("name","金融业");
        mapjry.put("max",Calculate.getMax((int) dangYearhyMapList.get(9),(int) quYearhyMapList.get(9),(int) qianYearhyMapList.get(9)));
        list.add(mapjry);
        Map<String, Object> mapfdcy=new HashMap<>();
        mapfdcy.put("name","房地产业");
        mapfdcy.put("max",Calculate.getMax((int) dangYearhyMapList.get(10),(int) quYearhyMapList.get(10),(int) qianYearhyMapList.get(10)));
        list.add(mapfdcy);
        Map<String, Object> mapzlhswfwy=new HashMap<>();
        mapzlhswfwy.put("name","科学研究和技术服务业");
        mapzlhswfwy.put("max",Calculate.getMax((int) dangYearhyMapList.get(11),(int) quYearhyMapList.get(11),(int) qianYearhyMapList.get(11)));
        list.add(mapzlhswfwy);
        Map<String, Object> mapkxyjhjsfwy=new HashMap<>();
        mapkxyjhjsfwy.put("name","科学研究和技术服务业");
        mapkxyjhjsfwy.put("max",Calculate.getMax((int) dangYearhyMapList.get(12),(int) quYearhyMapList.get(12),(int) qianYearhyMapList.get(12)));
        list.add(mapkxyjhjsfwy);
        Map<String, Object> mapslhjhggssgly=new HashMap<>();
        mapslhjhggssgly.put("name","水利、环境和公共设施管理业");
        mapslhjhggssgly.put("max",Calculate.getMax((int) dangYearhyMapList.get(13),(int) quYearhyMapList.get(13),(int) qianYearhyMapList.get(13)));
        list.add(mapslhjhggssgly);
        Map<String, Object> mapjmfwxlhqtfw=new HashMap<>();
        mapjmfwxlhqtfw.put("name","居民服务、修理和其他服务业");
        mapjmfwxlhqtfw.put("max",Calculate.getMax((int) dangYearhyMapList.get(14),(int) quYearhyMapList.get(14),(int) qianYearhyMapList.get(14)));
        list.add(mapjmfwxlhqtfw);
        Map<String, Object> mapjy=new HashMap<>();
        mapjy.put("name","教育");
        mapjy.put("max",Calculate.getMax((int) dangYearhyMapList.get(15),(int) quYearhyMapList.get(15),(int) qianYearhyMapList.get(15)));
        list.add(mapjy);
        Map<String, Object> mapwshshgz=new HashMap<>();
        mapwshshgz.put("name","卫生和社会工作");
        mapwshshgz.put("max",Calculate.getMax((int) dangYearhyMapList.get(16),(int) quYearhyMapList.get(16),(int) qianYearhyMapList.get(16)));
        list.add(mapwshshgz);
        Map<String, Object> mapwhtyhyly=new HashMap<>();
        mapwhtyhyly.put("name","文化、体育和娱乐业");
        mapwhtyhyly.put("max",Calculate.getMax((int) dangYearhyMapList.get(17),(int) quYearhyMapList.get(17),(int) qianYearhyMapList.get(17)));
        list.add(mapwhtyhyly);
        Map<String, Object> mapggglshbzhshzz=new HashMap<>();
        mapggglshbzhshzz.put("name","公共管理、社会保障和社会组织");
        mapggglshbzhshzz.put("max",Calculate.getMax((int) dangYearhyMapList.get(18),(int) quYearhyMapList.get(18),(int) qianYearhyMapList.get(18)));
        list.add(mapggglshbzhshzz);
        Map<String, Object> mapgjzz=new HashMap<>();
        mapgjzz.put("name","国际组织");
        mapgjzz.put("max",Calculate.getMax((int) dangYearhyMapList.get(19),(int) quYearhyMapList.get(19),(int) qianYearhyMapList.get(19)));
        list.add(mapgjzz);
        return list;
    }

    private ArrayList<Object>  getqysxMapList(List<Map<String, String>> sxqyList, List<Map<String, String>> sxryList) {
        long lsssxqy=0;
        long snssxqy = 0;
        long rkzssxqy = 0;
        long nqssxqy = 0;
        long aldqsxqy = 0;
        long cdssxqy = 0;
        long lzssxqy = 0;
        if (StringUtils.isNotEmpty(sxqyList)) {
         lsssxqy = sxqyList.stream().filter(n -> "5401".equals(n.get("qy").substring(0,4))).count();
         snssxqy = sxqyList.stream().filter(n -> "5422".equals(n.get("qy").substring(0,4))).count();
         rkzssxqy = sxqyList.stream().filter(n -> "5423".equals(n.get("qy").substring(0,4))).count();
         nqssxqy = sxqyList.stream().filter(n -> "5424".equals(n.get("qy").substring(0,4))).count();
         aldqsxqy = sxqyList.stream().filter(n -> "5425".equals(n.get("qy").substring(0,4))).count();
         cdssxqy = sxqyList.stream().filter(n -> "5421".equals(n.get("qy").substring(0,4))).count();
         lzssxqy = sxqyList.stream().filter(n -> "5426".equals(n.get("qy").substring(0,4))).count();
        }
        long lsssxr = 0;
        long snssxr = 0;
        long rkzssxr = 0;
        long nqssxr =0;
        long aldqsxr = 0;
        long cdssxr = 0;
        long lzssxr = 0;
        if (StringUtils.isNotEmpty(sxryList)) {
             lsssxr = sxryList.stream().filter(n -> "5401".equals(n.get("fddbrqy").substring(0,4))).count();
             snssxr = sxryList.stream().filter(n -> "5422".equals(n.get("fddbrqy").substring(0,4))).count();
             rkzssxr = sxryList.stream().filter(n -> "5423".equals(n.get("fddbrqy").substring(0,4))).count();
             nqssxr = sxryList.stream().filter(n -> "5424".equals(n.get("fddbrqy").substring(0,4))).count();
             aldqsxr = sxryList.stream().filter(n -> "5425".equals(n.get("fddbrqy").substring(0,4))).count();
             cdssxr = sxryList.stream().filter(n -> "5421".equals(n.get("fddbrqy").substring(0,4))).count();
             lzssxr = sxryList.stream().filter(n -> "5426".equals(n.get("fddbrqy").substring(0,4))).count();
        }
        ArrayList<Object> objects = new ArrayList<>();
        objects.add((int)snssxqy+(int)snssxr);
        objects.add((int)lsssxqy+(int)lsssxr);
        objects.add((int)rkzssxqy+(int)rkzssxr);
        objects.add((int)nqssxqy+(int)nqssxr);
        objects.add((int)aldqsxqy+(int)aldqsxr);
        objects.add((int)cdssxqy+(int)cdssxr);
        objects.add((int)lzssxqy+(int)lzssxr);

        return objects;

    }



    private  ArrayList<Object> getHyMapList( List<Map<String, String>> maps) {
        //农、林,牧,渔业
        long nlmyy = maps.stream().filter(n -> "A".equals(n.get("hydm").substring(0,1))).count();
        //采矿业
        long cky = maps.stream().filter(n -> "B".equals(n.get("hydm").substring(0,1))).count();
        //制造业
        long zzy = maps.stream().filter(n -> "C".equals(n.get("hydm").substring(0,1))).count();
        //电力、热力、燃气及水生产和供应业
        long dlrlrqjsschgyy = maps.stream().filter(n -> "D".equals(n.get("hydm").substring(0,1))).count();
        //建筑业
        long jzy = maps.stream().filter(n -> "E".equals(n.get("hydm").substring(0,1))).count();
        //批发和零售
        long pfhls = maps.stream().filter(n -> "F".equals(n.get("hydm").substring(0,1))).count();
        //交通运输、仓储和邮政业
        long jtysckhyzy = maps.stream().filter(n -> "G".equals(n.get("hydm").substring(0,1))).count();
        //住宿和餐饮业
        long zshcyy = maps.stream().filter(n -> "H".equals(n.get("hydm").substring(0,1))).count();
        //信息传输、软件和信息技术服务业
        long xxcsrjhxxjsfwy = maps.stream().filter(n -> "I".equals(n.get("hydm").substring(0,1))).count();
        //金融业
        long jry = maps.stream().filter(n -> "J".equals(n.get("hydm").substring(0,1))).count();
        //房地产业
        long fdcy = maps.stream().filter(n -> "K".equals(n.get("hydm").substring(0,1))).count();
        //租赁和商务服务业
        long zlhswfwy = maps.stream().filter(n -> "L".equals(n.get("hydm").substring(0,1))).count();
        //科学研究和技术服务业
        long kxyjhjsfwy = maps.stream().filter(n -> "M".equals(n.get("hydm").substring(0,1))).count();
        //水利、环境和公共设施管理业
        long slhjhggssgly = maps.stream().filter(n -> "N".equals(n.get("hydm").substring(0,1))).count();
        //居民服务、修理和其他服务业
        long jmfwxlhqtfw = maps.stream().filter(n -> "O".equals(n.get("hydm").substring(0,1))).count();
        //教育
        long jy = maps.stream().filter(n -> "P".equals(n.get("hydm").substring(0,1))).count();
        //卫生和社会工作
        long wshshgz = maps.stream().filter(n -> "Q".equals(n.get("hydm").substring(0,1))).count();
        //文化、体育和娱乐业
        long whtyhyly = maps.stream().filter(n -> "R".equals(n.get("hydm").substring(0,1))).count();
        //公共管理、社会保障和社会组织
        long ggglshbzhshzz = maps.stream().filter(n -> "S".equals(n.get("hydm").substring(0,1))).count();
        //国际组织
        long gjzz = maps.stream().filter(n -> "T".equals(n.get("hydm").substring(0,1))).count();

        ArrayList<Object> objects = new ArrayList<>();
        objects.add((int)nlmyy);
        objects.add((int)cky);
        objects.add((int)zzy);
        objects.add((int)dlrlrqjsschgyy);
        objects.add((int)jzy);
        objects.add((int)pfhls);
        objects.add((int)jtysckhyzy);
        objects.add((int)zshcyy);
        objects.add((int)xxcsrjhxxjsfwy);
        objects.add((int)jry);
        objects.add((int)fdcy);
        objects.add((int)zlhswfwy);
        objects.add((int)kxyjhjsfwy);
        objects.add((int)slhjhggssgly);
        objects.add((int)jmfwxlhqtfw);
        objects.add((int)jy);
        objects.add((int)wshshgz);
        objects.add((int)whtyhyly);
        objects.add((int)ggglshbzhshzz);
        objects.add((int)gjzz);
        return objects;
    }

    @Override
    public List<Map<String, Object>> selectselectDzsdfx(Map<String, String> map) {
        List<Map<String, Object>>DqMcNumList =new ArrayList<>();
        if (StringUtils.isNotEmpty(map.get("startTime")) && StringUtils.isNotEmpty(map.get("endTime") )){
            Date yearFirst = DateTimeUtils.getFirstDayOfMonth(map.get("startTime"));
            Date yearLast = DateTimeUtils.getLastDayOfMonth(map.get("endTime"));
            List<Map<String, String>> mapList = bigDataAnalysisServiceDAO.selectLnhysxtj(yearFirst,yearLast);
            ArrayList<Object> objects = getqysxMapList(mapList, null);
            DqMcNumList = getMapDqMcNum(objects);
        }else {
            List<Map<String, String>> mapList = bigDataAnalysisServiceDAO.selectselectDzsdfx();
            ArrayList<Object> objects = getqysxMapList(mapList, null);
           DqMcNumList = getMapDqMcNum(objects);
        }
        return DqMcNumList;
    }

    private List<Map<String, Object>> getMapDqMcNum(ArrayList<Object> mapsDqMcNumbers) {
        List<Map<String, Object>> list =new ArrayList<>();
        Map<String, Object> mapnlss =new HashMap<>();
        mapnlss.put("name","拉萨市");
        mapnlss.put("value", mapsDqMcNumbers.get(0));
        list.add(mapnlss);
        Map<String, Object> mapsns =new HashMap<>();
        mapsns.put("name","山南市");
        mapsns.put("value",mapsDqMcNumbers.get(1));
        list.add(mapsns);
        Map<String, Object> maprkzs=new HashMap<>();
        maprkzs.put("name","日喀则市");
        maprkzs.put("value",mapsDqMcNumbers.get(2));
        list.add(maprkzs);
        Map<String, Object> mapnqs=new HashMap<>();
        mapnqs.put("name","那曲市");
        mapnqs.put("value",mapsDqMcNumbers.get(3));
        list.add(mapnqs);
        Map<String, Object> mapaldq=new HashMap<>();
        mapaldq.put("name","阿里地区");
        mapaldq.put("value",mapsDqMcNumbers.get(4));
        list.add(mapaldq);
        Map<String, Object> mapcds=new HashMap<>();
        mapcds.put("name","昌都市");
        mapcds.put("value",mapsDqMcNumbers.get(5));
        list.add(mapcds);
        Map<String, Object> maplzs=new HashMap<>();
        maplzs.put("name","林芝市");
        maplzs.put("value",mapsDqMcNumbers.get(6));
        list.add(maplzs);
        return list;
    }
    @Override
    public List<Map<String, Object>> selectGcgzfx(Map<String, String> maps) {

        if (StringUtils.isNotEmpty(maps.get("startTime"))&& StringUtils.isNotEmpty(maps.get("endTime"))&& StringUtils.isNotEmpty(maps.get("qy"))){
            String startTime = maps.get("startTime");
            String endTime = maps.get("endTime");
            Integer year1 = Integer.parseInt(startTime.substring(0,4));
            Integer year2 = Integer.parseInt(endTime.substring(0,4));
            Integer month1 = Integer.parseInt(startTime.substring(startTime.length()-2,startTime.length()));
            Integer month2 = Integer.parseInt(endTime.substring(endTime.length()-2,endTime.length()));
            List<Map<String, Object>> list = bigDataAnalysisServiceDAO.selectGcgzfx(maps);
            for(int i=0; year1 <= year2  ;i++ ){
                if(i<list.size()){
                    Map map = list.get(i);
                    String name = (String)map.get("name");
                    if(month1 <= 9){
                        if(!name.equals(year1 + "-0" + month1)){
                            Map map1 = new HashMap();
                            map1.put("name",year1 + "-0" + month1);
                            map1.put("value",0);
                            list.add(i,map1);
                        }
                    }else{
                        if(!name.equals(year1 + "-" + month1)){
                            Map map1 = new HashMap();
                            map1.put("name",year1 + "-" + month1);
                            map1.put("value",0);
                            list.add(i,map1);
                        }
                    }
                }else{
                    if(month1 <= 9){
                        Map map1 = new HashMap();
                        map1.put("name",year1 + "-0" + month1);
                        map1.put("value",0);
                        list.add(i,map1);
                    }else{
                        Map map1 = new HashMap();
                        map1.put("name",year1 + "-" + month1);
                        map1.put("value",0);
                        list.add(i,map1);
                    }
                }
                if(year1.equals(year2) && month1.equals(month2)){
                    break;
                }

                if(month1 == 12){
                    year1++;
                    month1 = 1;
                }else{
                    month1++;
                }

            }
            return list;
        } else if (StringUtils.isEmpty(maps.get("startTime"))&& StringUtils.isEmpty(maps.get("endTime"))||StringUtils.isNotEmpty(maps.get("qy"))) {

            String yearMonth1 = DateTimeUtils.getYearMonth(DateTimeUtils.getCurrYearFirst());
            maps.put("startTime",yearMonth1);
            String yearMonth = DateTimeUtils.getYearMonth(new Date());
            maps.put("endTime",yearMonth);
            String startTime = maps.get("startTime");
            String endTime = maps.get("endTime");
            Integer year1 = Integer.parseInt(yearMonth1.substring(0,4));
            Integer year2 = Integer.parseInt(yearMonth.substring(0,4));
            Integer month1 = Integer.parseInt(yearMonth1.substring(startTime.length()-2,startTime.length()));
            Integer month2 = Integer.parseInt(yearMonth.substring(endTime.length()-2,endTime.length()));
            List<Map<String, Object>> list = bigDataAnalysisServiceDAO.selectGcgzfx(maps);
            for(int i=0; year1 <= year2  ;i++ ){
                if(i<list.size()){
                    Map map = list.get(i);
                    String name = (String)map.get("name");
                    if(month1 <= 9){
                        if(!name.equals(year1 + "-0" + month1)){
                            Map map1 = new HashMap();
                            map1.put("name",year1 + "-0" + month1);
                            map1.put("value",0);
                            list.add(i,map1);
                        }
                    }else{
                        if(!name.equals(year1 + "-" + month1)){
                            Map map1 = new HashMap();
                            map1.put("name",year1 + "-" + month1);
                            map1.put("value",0);
                            list.add(i,map1);
                        }
                    }
                }else{
                    if(month1 <= 9){
                        Map map1 = new HashMap();
                        map1.put("name",year1 + "-0" + month1);
                        map1.put("value",0);
                        list.add(i,map1);
                    }else{
                        Map map1 = new HashMap();
                        map1.put("name",year1 + "-" + month1);
                        map1.put("value",0);
                        list.add(i,map1);
                    }
                }
                if(year1.equals(year2) && month1.equals(month2)){
                    break;
                }

                if(month1 == 12){
                    year1++;
                    month1 = 1;
                }else{
                    month1++;
                }

            }
            return list;
        } else {
            List<Map<String, String>> mapList = bigDataAnalysisServiceDAO.selectselectDzsdfx();
            ArrayList<Object> objects = getqysxMapList(mapList, null);
            List<Map<String, Object>>DqMcNumList = getMapDqMcNum(objects);
            return DqMcNumList;
        }

    }

    @Override
    public Map<String, Object> selectRqtzfx(Map<String, String> maps) {

        HashMap<String, Object> result = new HashMap<>();
        List<Map<String, Object>> list =new ArrayList<>();
        List<Map<String, Object>> listxjlist =new ArrayList<>();
        List<Map<String, Object>> listxjgxList =new ArrayList<>();
            List<Map<String, Object>>    lists = bigDataAnalysisServiceDAO.selectRqtzfxss(maps);
            Map<String, Object> map =new HashMap<>();
            map.put("name",lists.get(0).get("qymc"));
            list.add(map);
            for (Map<String, Object> stringObjectMap : lists) {
                Object gdmc = stringObjectMap.get("gdmc");
                Object zzgb = stringObjectMap.get("zzgb");
                Map<String, Object> mapgxfz =new HashMap<>();
                mapgxfz.put("source",lists.get(0).get("qymc"));
                mapgxfz.put("target",gdmc);
                mapgxfz.put("value",zzgb+"%");
                listxjgxList.add(mapgxfz);
                if ("2".equals((String) stringObjectMap.get("gdlx"))){
                    Map<String, Object> mapbj =new HashMap<>();
                    mapbj.put("name",gdmc);
                    mapbj.put("category",gdmc);
                    list.add(mapbj);
                    Map<String, String> map1 =new HashMap<>();
                        map1.put("zzdm",(String) stringObjectMap.get("gddm"));
                    List<Map<String, Object>>    listlet = bigDataAnalysisServiceDAO.selectRqtzfxGd(map1);
                    for (Map<String, Object> objectMap : listlet) {
                        Map<String, Object> mapsanji =new HashMap<>();
                        mapsanji.put("name",objectMap.get("gdmc"));
                        mapsanji.put("category",gdmc);
                        mapsanji.put("value",objectMap.get("zzgb")+"%");
                        list.add(mapsanji) ;

                        Map<String, Object> mapsanfz =new HashMap<>();
                        mapsanfz.put("source",gdmc);
                        mapsanfz.put("target",objectMap.get("gdmc"));
                        mapsanfz.put("value",objectMap.get("zzgb")+"%");
                        listxjgxList.add(mapsanfz) ;

                    }
                    Map<String, Object> map2 =new HashMap<>();
                    map2.put("name", gdmc);
                    map2.put("value", zzgb+"%");
                    listxjlist.add(map2);
            }else if ("1".equals((String) stringObjectMap.get("gdlx"))){
                    Map<String, Object> mapbj =new HashMap<>();
                    mapbj.put("name",gdmc);
                    mapbj.put("category",gdmc);
                    list.add(mapbj);

                    Map<String, Object> map2 =new HashMap<>();
                    map2.put("name", gdmc);
                    map2.put("value", zzgb+"%");
                    listxjlist.add(map2);
                }
            }
            result.put("data",list);
            result.put("links",listxjgxList);
            result.put("categories", listxjlist);

           return result;


    }
}
