package com.philisense.www.service.impl;

import com.alibaba.fastjson.JSONObject;
import com.philisense.www.dao.CombinationAnalysisDAO;
import com.philisense.www.dao.DataAnalysisChartDAO;
import com.philisense.www.service.CombinationAnalysisService;
import com.philisense.www.service.DataAnalysisChartService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Calendar;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Service
public class CombinationAnalysisServiceImpl implements CombinationAnalysisService {

    @Autowired
    private CombinationAnalysisDAO combinationAnalysisDAO;

    @Override
    public List<Map<String, String>> selectIndustryBreakOnesPromise(String startTime, String endTime, String qy) {
        if (startTime == null || "".equals(startTime) && (endTime == null || "".equals(endTime))){
            Integer year = Integer.parseInt(String.valueOf(Calendar.getInstance().get(Calendar.YEAR)));
            Integer Month = Integer.parseInt(String.valueOf(Calendar.getInstance().get(Calendar.MONTH)));
            Month++;
            startTime = year + "-01";
            if(Month <= 9){
                endTime = year + "-0" + Month;
            }else{
                endTime = year + "-" + Month;
            }
        }
        List<Map<String, String>> list = combinationAnalysisDAO.selectIndustryBreakOnesPromise(startTime, endTime, qy);
        String arr = " {\n" +
                "  A: '农、林、牧、渔业',\n" +
                "  B: '采矿业',\n" +
                "  C: '制造业',\n" +
                "  D: '电力、热力、燃气及水生 产和供应业',\n" +
                "  E: '建筑业',\n" +
                "  F: '批发和零售业',\n" +
                "  G: '交通运输、仓储和邮政业',\n" +
                "  H: '住宿和餐 饮业',\n" +
                "  I: '信息传输、软件和信息技术服务业',\n" +
                "  J: '金融业',\n" +
                "  K: '房地产业',\n" +
                "  L: '租赁和商务服 务业',\n" +
                "  M: '科学研究和技术服务业',\n" +
                "  N: '水利、环境和公共设施管理业',\n" +
                "  O: '居民服务、修 理和其他服务业',\n" +
                "  P: '教育',\n" +
                "  Q: '卫生和社会工作',\n" +
                "  R: '文化、体育和娱乐业',\n" +
                "  S: '公共管理、 社会保障和社会组织',\n" +
                "  T: '国际组织',\n" +
                "}";
        JSONObject obj = JSONObject.parseObject(arr);
        System.out.println(obj.getString("A"));
        for(Map map:list){
            String name = (String)map.get("name");
            String name1 = obj.getString(name);
            Long value = (Long)map.get("value");
            map.put("name",name1);
            map.put("value",value);
        }
        return list;
    }

    @Override
    public List<Map<String, String>> selectEnterpriseBreakOnesPromise(String startTime, String endTime, String qy) {
        if (startTime == null || "".equals(startTime) && (endTime == null || "".equals(endTime))){
            Integer year = Integer.parseInt(String.valueOf(Calendar.getInstance().get(Calendar.YEAR)));
            Integer Month = Integer.parseInt(String.valueOf(Calendar.getInstance().get(Calendar.MONTH)));
            Month++;
            startTime = year + "-01";
            if(Month <= 9){
                endTime = year + "-0" + Month;
            }else{
                endTime = year + "-" + Month;
            }

        }

        Integer year1 = Integer.parseInt(startTime.substring(0,4));
        Integer year2 = Integer.parseInt(endTime.substring(0,4));
        Integer month1 = Integer.parseInt(startTime.substring(startTime.length()-2,startTime.length()));
        Integer month2 = Integer.parseInt(endTime.substring(startTime.length()-2,endTime.length()));
        List<Map<String, String>> list = combinationAnalysisDAO.selectEnterpriseBreakOnesPromise(startTime, endTime, qy);
        for(int i=0; year1 <= year2  ;i++ ){
            if(i<list.size()){
                Map map = list.get(i);
                String name = (String)map.get("name");
                if(month1 <= 9){
                    if(!name.equals(year1 + "-0" + month1)){
                        Map map1 = new HashMap();
                        map1.put("name",year1 + "-0" + month1);
                        map1.put("value",0);
                        list.add(i,map1);
                    }
                }else{
                    if(!name.equals(year1 + "-" + month1)){
                        Map map1 = new HashMap();
                        map1.put("name",year1 + "-" + month1);
                        map1.put("value",0);
                        list.add(i,map1);
                    }
                }
            }else{
                if(month1 <= 9){
                    Map map1 = new HashMap();
                    map1.put("name",year1 + "-0" + month1);
                    map1.put("value",0);
                    list.add(i,map1);
                }else{
                    Map map1 = new HashMap();
                    map1.put("name",year1 + "-" + month1);
                    map1.put("value",0);
                    list.add(i,map1);
                }
            }

            if(year1.equals(year2) && month1.equals(month2)){
                break;
            }

            if(month1 == 12){
                year1++;
                month1 = 1;
            }else{
                month1++;
            }
        }
        return list;
    }

    @Override
    public List<Map<String, String>> selectPersonalBreakOnesPromise(String startTime, String endTime, String qy) {
        if (startTime == null || "".equals(startTime) && (endTime == null || "".equals(endTime))){
            Integer year = Integer.parseInt(String.valueOf(Calendar.getInstance().get(Calendar.YEAR)));
            Integer Month = Integer.parseInt(String.valueOf(Calendar.getInstance().get(Calendar.MONTH)));
            Month++;
            startTime = year + "-01";
            if(Month <= 9){
                endTime = year + "-0" + Month;
            }else{
                endTime = year + "-" + Month;
            }

        }

        Integer year1 = Integer.parseInt(startTime.substring(0,4));
        Integer year2 = Integer.parseInt(endTime.substring(0,4));
        Integer month1 = Integer.parseInt(startTime.substring(startTime.length()-2,startTime.length()));
        Integer month2 = Integer.parseInt(endTime.substring(startTime.length()-2,endTime.length()));
        List<Map<String, String>> list = combinationAnalysisDAO.selectPersonalBreakOnesPromise(startTime, endTime, qy);
        for(int i=0; year1 <= year2  ;i++ ){
            if(i<list.size()){
                Map map = list.get(i);
                String name = (String)map.get("name");
                if(month1 <= 9){
                    if(!name.equals(year1 + "-0" + month1)){
                        Map map1 = new HashMap();
                        map1.put("name",year1 + "-0" + month1);
                        map1.put("value",0);
                        list.add(i,map1);
                    }
                }else{
                    if(!name.equals(year1 + "-" + month1)){
                        Map map1 = new HashMap();
                        map1.put("name",year1 + "-" + month1);
                        map1.put("value",0);
                        list.add(i,map1);
                    }
                }
            }else{
                if(month1 <= 9){
                    Map map1 = new HashMap();
                    map1.put("name",year1 + "-0" + month1);
                    map1.put("value",0);
                    list.add(i,map1);
                }else{
                    Map map1 = new HashMap();
                    map1.put("name",year1 + "-" + month1);
                    map1.put("value",0);
                    list.add(i,map1);
                }
            }
            if(year1.equals(year2) && month1.equals(month2)){
                break;
            }

            if(month1 == 12){
                year1++;
                month1 = 1;
            }else{
                month1++;
            }
        }
        return list;
    }

    @Override
    public List<Map<String, String>> selectRegionBreakOnesPromise(String startTime, String endTime) {
        if (startTime == null || "".equals(startTime) && (endTime == null || "".equals(endTime))){
            Integer year = Integer.parseInt(String.valueOf(Calendar.getInstance().get(Calendar.YEAR)));
            Integer Month = Integer.parseInt(String.valueOf(Calendar.getInstance().get(Calendar.MONTH)));
            Month++;
            startTime = year + "-01";
            if(Month <= 9){
                endTime = year + "-0" + Month;
            }else{
                endTime = year + "-" + Month;
            }
        }
        List<Map<String, String>> list = combinationAnalysisDAO.selectRegionBreakOnesPromise(startTime, endTime);
        String[] arr = {"那曲市","拉萨市","林芝市","昌都市","山南市","日喀则市","阿里地区"};
        int i;
        for(String str:arr){
            i=0;
            for(Map map:list){
                String name = (String)map.get("name");
                if(str.equals(name)){
                    i=1;
                    break;
                }
            }
            if(i==1){
                continue;
            }else{
                Map map = new HashMap();
                map.put("name",str);
                map.put("value",0);
                list.add(map);
            }

        }

        return list;
    }


}