package com.philisense.www.service.impl;

import cn.hutool.core.util.RandomUtil;
import com.philisense.www.dao.EnterpriseRelationNetworkDAO;
import com.philisense.www.dtos.Data;
import com.philisense.www.dtos.Link;
import com.philisense.www.dtos.Node;
import com.philisense.www.service.EnterpriseRelationNetworkService;
import com.philisense.www.utils.MoneyUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.*;

@Service
public class EnterpriseRelationNetworkServiceImpl implements EnterpriseRelationNetworkService {

    @Autowired
    private EnterpriseRelationNetworkDAO enterpriseRelationNetworkDAO;

    @Override
    public Map<String, Object> selectChildren(Map<String, String> map) {
        List<Map<String, Object>> qyList = enterpriseRelationNetworkDAO.selectChildren(map.get("xydm"));
        HashMap<String, Object> result = new HashMap<>();
        result.put("name", map.get("qymc"));
        ArrayList<Object> data = new ArrayList<>();
        for (Map<String, Object> qy : qyList) {
            Object zczb = qy.get("zczb");
            if (zczb != null) {
                zczb = MoneyUtils.getNumberWan(zczb.toString()) + "万";
            }
            data.add(new Data(qy.get("qymc"), zczb));
        }
        Map<String, Object> child = new HashMap<>();
        child.put("name", "子公司");
        child.put("children", data);
        ArrayList<Object> childList = new ArrayList<>();
        childList.add(child);
        result.put("children", childList);
        return result;
    }

    @Override
    public Map<String, Object> selectParents(Map<String, String> map) {
        List<Map<String, Object>> parents = enterpriseRelationNetworkDAO.selectParents(map.get("xydm"));
        HashMap<String, Object> result = new HashMap<>();
        ArrayList<Object> nodes = new ArrayList<>();
        ArrayList<Object> links = new ArrayList<>();
        for (Map<String, Object> parent : parents) {
            nodes.add(new Node(parent.get("qymc"), RandomUtil.randomInt(0, 5)));
            links.add(new Link(parent.get("qymc"), map.get("qymc"), null, "参股"));
        }
        nodes.add(new Node(map.get("qymc"), 0));
        result.put("nodes", nodes);
        result.put("links", links);
        return result;
    }

    @Override
    public Map<String, Object> selectCompetitor(Map<String, String> map) {
        List<Map<String, Object>> competitor = enterpriseRelationNetworkDAO.selectCompetitor(map);
        HashMap<String, Object> result = new HashMap<>();
        ArrayList<Object> data = new ArrayList<>();
        ArrayList<Object> links = new ArrayList<>();
        data.add(new Node(map.get("qymc"), null, true));
        for (int i = 0; i < competitor.size(); i++) {
            Map<String, Object> c = competitor.get(i);
            data.add(new Node(c.get("qymc"), 1, true));
            links.add(new Link(0, i + 1, "竞争对手", null));
        }
        result.put("nodes", data);
        result.put("links", links);
        return result;
    }

    @Override
    public Map<String, Object> selectPartner(Map<String, String> map) {
        List<Map<String, Object>> partner = enterpriseRelationNetworkDAO.selectPartner(map.get("xydm"));
        HashMap<String, Object> result = new HashMap<>();
        ArrayList<Object> data = new ArrayList<>();
        ArrayList<Object> links = new ArrayList<>();
        data.add(new Node(map.get("qymc"), null, true));
        for (int i = 0; i < partner.size(); i++) {
            Map<String, Object> c = partner.get(i);
            data.add(new Node(c.get("qymc"), 1, true));
            links.add(new Link(0, i + 1, "战略企业", null));
        }
        result.put("nodes", data);
        result.put("links", links);
        return result;
    }
}
