package com.philisense.www.service.impl;

import com.philisense.www.dao.SysMenuDetailDAO;
import com.philisense.www.dtos.DaSysMenuDetail;
import com.philisense.www.mapper.SysMenuDetailMapper;
import com.philisense.www.service.SysMenuDetailService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Pageable;
import org.springframework.stereotype.Service;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.PageRequest;

import javax.annotation.Resource;
import java.util.List;

/**
 * 信用目录详情
(DaSysMenuDetail)表服务实现类
 *
 * @author makejava
 * @since 2022-06-21 18:46:48
 */
@Service
public class SysMenuDetailServiceImpl implements SysMenuDetailService {

    @Autowired
    private SysMenuDetailDAO sysMenuDetailDAO;

    /**
     * 通过ID查询单条数据
     *
     * @param menuId 主键
     * @return 实例对象
     */
    @Override
    public DaSysMenuDetail queryById(String menuId) {
        return this.sysMenuDetailDAO.queryById(menuId);
    }

    /**
     * 分页查询
     *
     * @param daSysMenuDetail 筛选条件
     * @param pageRequest      分页对象
     * @return 查询结果
     */
    @Override
    public Page<DaSysMenuDetail> queryByPage(DaSysMenuDetail daSysMenuDetail, PageRequest pageRequest) {
        long total = this.sysMenuDetailDAO.count(daSysMenuDetail);
        return new PageImpl<>(this.sysMenuDetailDAO.queryAllByLimit(daSysMenuDetail, pageRequest), pageRequest, total);
    }

    /**
     * 新增数据
     *
     * @param daSysMenuDetail 实例对象
     * @return 实例对象
     */
    @Override
    public DaSysMenuDetail insert(DaSysMenuDetail daSysMenuDetail) {
        this.sysMenuDetailDAO.insert(daSysMenuDetail);
        return daSysMenuDetail;
    }

    /**
     * 修改数据
     *
     * @param daSysMenuDetail 实例对象
     * @return 实例对象
     */
    @Override
    public DaSysMenuDetail update(DaSysMenuDetail daSysMenuDetail) {
        this.sysMenuDetailDAO.update(daSysMenuDetail);
        return this.queryById(daSysMenuDetail.getMenuId());
    }

    /**
     * 通过主键删除数据
     *
     * @param menuId 主键
     * @return 是否成功
     */
    @Override
    public boolean deleteById(String menuId) {
        return this.sysMenuDetailDAO.deleteById(menuId);
    }

    @Override
    public List<DaSysMenuDetail> queryAllByLimit(DaSysMenuDetail daSysMenuDetail, Pageable pageable) {
        return this.sysMenuDetailDAO.queryAllByLimit(daSysMenuDetail, pageable);
    }

    @Override
    public long count(DaSysMenuDetail daSysMenuDetail) {
        return this.sysMenuDetailDAO.count(daSysMenuDetail);
    }

}
