package com.philisense.www.service.impl;

import com.philisense.www.dao.UserMenuApproveDAO;
import com.philisense.www.dtos.DaUserMenu;
import com.philisense.www.service.UserMenuApplyService;
import com.philisense.www.service.UserMenuApproveService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Pageable;
import org.springframework.stereotype.Service;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.PageRequest;

import java.util.List;
import java.util.Map;

/**
 * (DaUserMenu)表服务实现类
 *
 * @author makejava
 * @since 2022-06-21 18:46:48
 */
@Service
public class UserMenuApproveServiceImpl implements UserMenuApproveService {

    @Autowired
    private UserMenuApproveDAO userMenuDAO;

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    @Override
    public DaUserMenu queryById(Integer id) {
        return this.userMenuDAO.queryById(id);
    }

    /**
     * 分页查询
     *
     * @param daUserMenu 筛选条件
     * @param pageRequest      分页对象
     * @return 查询结果
     */
    @Override
    public Page<DaUserMenu> queryByPage(DaUserMenu daUserMenu, PageRequest pageRequest) {
        long total = this.userMenuDAO.count(daUserMenu);
        return new PageImpl<>(this.userMenuDAO.queryAllByLimit(daUserMenu, pageRequest), pageRequest, total);
    }

    /**
     * 新增数据
     *
     * @param daUserMenu 实例对象
     * @return 实例对象
     */
    @Override
    public DaUserMenu insert(DaUserMenu daUserMenu) {
        this.userMenuDAO.insert(daUserMenu);
        return daUserMenu;
    }

    /**
     * 修改数据
     *
     * @param daUserMenu 实例对象
     * @return 实例对象
     */
    @Override
    public DaUserMenu update(DaUserMenu daUserMenu) {
        this.userMenuDAO.update(daUserMenu);
        return this.queryById(daUserMenu.getId());
    }

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    @Override
    public boolean deleteById(Integer id) {
        return this.userMenuDAO.deleteById(id);
    }

    @Override
    public List<DaUserMenu> queryAllByLimit(DaUserMenu daUserMenu, Pageable pageable) {
        return this.userMenuDAO.queryAllByLimit(daUserMenu, pageable);
    }

    @Override
    public long count(DaUserMenu daUserMenu) {
        return this.userMenuDAO.count(daUserMenu);
    }

    @Override
    public List<Map<String, Object>> selectApplyDictory(String menuName, String userName, String sign) {
        return this.userMenuDAO.selectApplyDictory(menuName, userName, sign);
    }
}
